MPlayer(1)

NAME
mplayer - filmspelare
mencoder - filmkodare

SYNOPSIS
mplayer [argument] [ fil | URL | spellista | - ]
mplayer
[globala argument] fil1 [specifika argument] [fil2] [specifika argument]
mplayer
[globala argument] {grupp av filer och argument} [gruppspecifika argument]
mplayer
dvd://[title|[start_title]-slut_title ] [argument]
mplayer
dvd://[title][:kapitel[-slutkapitel][:vinkel][@dvd-enhet] [argument]
mplayer
vcd://spår[/enhet]
mplayer
tv://[kanal] [argument]
mplayer
dvb://[kortnummer@]kanal [argument]
mplayer
mf://filmask [-mf argument] [argument]
mplayer
[cdda|cddb]://spår[:fart][/enhet] [argument]
mplayer
cue://fil[:spår] [options]
mplayer
[mms[t]|http|http_proxy|rt[s]p|ftp]:// [användare:lösenord@]URL[:port] [argument]
mplayer
sdp://fil [argument]
mplayer
mpst://host[:port]/URL [argument]
gmplayer [argument] [-skin skin]
mencoder [argument] [ fil | URL | - ] [-o fil]

BESKRIVNING
mplayer är en filmspelare, ursprungligen för Linux, men kan köras på de flesta platformar (se dokumentationen). Den spelare mestadels MPEG/VOB, AVI, ASF/WMA/WMV, RM, QT/MOV/MP4, OGG/OGM, MKV, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM samt RoQ filer, är stödd av många nativa och binära codec. Du kan kolla VideoCD, SVCD, DVD, 3ivx, DivX 3/4/5 samt även WMV filmer.

MPlayer stödjer en uppsjö av video- och audio-ut-drivrutiner. Den funkar med X11, Xv, DGA, OpenGL, SVGAlib, fbdev, AAlib, libcaca, DirectFB, Quartz, men du kan även använda GGI, SDL (pch alla deras drivrutiner), VESA (på varenda VESA-kompatibla kort, även utan X11), vissa låglevelade kortspecifika kortsdrivrutiner (för Matrox, 3Dfx samt ATI) och vissa hårdvaru-MPEG-avkodarkort, såsom Siemens DVB, DXR2 samt DXR3/Hollywood+. De flesta stödjer mjukvaro och hårdvaruskalning, så du kan kolla på filmer i fullskärmsmode

MPlayer har "onscreen display" (OSD) för statusinformation, snygga stora antialiserade skuggade textningstexter samt visuellt återgivning av tagentbordskontroller. Europeiska/ISO 8859-1,2 , kyrilliska, samt koreanska typsnitt är stött jämnsides med 12 textningsformat (MicroDVD, SubRip, OGM, SubViewer, Sami, VPlayer, RT, SSA, AQTitle, JACOsub, PJS samt vår egna: MPsub) och DVD-textning (SPU-ström, VOBsub och Closed Captions).

mencoder (MPlayer's Movie Encoder) är en enkel filmkodare, framtagen till att koda MPlayer-spelbara filmer (se ovan) till andra MPlayer-spelbara format (se nedan). Den kodar till DivX4, XviD, någon av libavcodecs codec, samt PCM/MP3/VBRMP3-audio i 1, 2 eller 3 pass. Även så har den strömkopieringsförmåga, ett kraftfullt filtersystem (crop, expand, flip, postprocess, rotate, scale, noise, rgb/yuv conversion) och mera.

gmplayer är MPlayer med ett grafiskt användargränssnitt (GUI). Det har samma alternativ som MPlayer.

Användningsexempel för snabbstart är lokaliserade i slutet på denna manual.

Även hänvisa till HTML-dokumentationen!

TAGENTBORDSKONTROLL
MPlayer har en fullt ut konfigurerbar, kommandoradsorienterat kontrollager vilken tillåter dig att kontrollera MPlayer med hjälp av tagentbord, mus, joystick samt fjärrkontroll (med LIRC). Hänvisa till '-input'-argumentet för flera sätt att konfigurera det.

generella kontroller
    Sök bakåt/framåt 10 sekunder. Sök bakåt/framåt 1 minut. Sök bakåt/framåt 10 minuter. Öka/minska uppspelningshastighet med 10%. Halvera/dubbla uppspelningshastighet. Återställ uppspelningshastighet. backa/hoppa frmaåt i spellista. nästa/föregående spelträdsinölägg i förälderlistan. nästa/föregående alternativa source (ASX-spellista endast). Pausa filmen(valfri tagent fortsätter uppspelningen). Steppa framåt. Pressa en gång kommer att pausa filmen, varje efterföljande knapptryckning kommer hoppa fram en bildruta and sedan gå in i pausläge igen (valfri tagent fortsätter uppspelningen). Stanna uppspelningen och avsluta programmet. Ställ in audioförströjning med ± 0.1 sekund. Öka/sänk volym. Öka/sänk volym. Muta ljud. Aktivera fullskärmsläge (se även -fs). Aktivera 'stay-on-top' (se även -ontop). Öka/miska 'pan-and-scan'-rymd. Aktivera OSD-information: inget / sök / sök + timer / sök + timer + total tid. Aktivera framedropping-information: ingen / förbise display / förbise avkodning (se -framedrop samt -hardframedrop). Aktivera textningsvisning. Cykla igenom de tillgängliga textningar.
F   Aktivera visning "forced subtitles". Ställ in textningspositionering: uppe/mitt/nere. Ställ in textningsfördröjning med ± 0.1 sekund. Flytta textningstext upp/ner. Sätt EDL-märke.

(Följande tagenter är endast tillgängliga vid användande av hårdvaruacceleread video-ut (xv, (x)vidix, (x)mga, etc...), eller mjukvaruequalizerfilter (-vf eq eller -vf eq2).

Ställ in kontrast. Ställ in ljusstyrka. Ställ in hue. Ställ in saturation.

(Följande tegenter är endast tillgängliga vid användande av quartzvideo-ut-drivrutin.)

Ändra storleken på filmfönstret till hälften av sin standardstorlek. Ändra storleken på filmfönstret till dess standardstorlek. Ändra storleken på filmfönstret till dubbel standardstorlek. Aktivera fullskärm (se även -fs). Sätt filmfönsteralfa. Aktivera videlager: ontop/below/normal (se även -ontop).

GUI-tagentbordskontroll
    Starta uppspelning. Stoppa uppspelning. Ladda fil. Skinläsare. Aktivera spellista.

TV input control
    Välj föregående/nästa kanal. Ändra norm. Ändra kanallista.

ANVÄNDNING
Varje 'flag'-argument har en 'noflag'-motsvarighet, d.v.s. motsatsen till -fs är -nofs

Om ett argument är markerad som (XXX endast), kommer det endast att fungera i samarbete med XXX eller om XXX är inkompilerat.

Du kan lägga alla argument i en konfigurationsfil vilken kommer att bli inläst varje gång MPlayer körs. Den systemvida konfigurationsfilen 'mplayer.conf' är i din konfigurationskatalog (d.v.s. /etc/mplayer eller /usr/local/etc/mplayer), den användarspecifika är lokaliserad i '~.mplayer/config'. Användarspecifika inställningar skriver över systemvida inställningar, och argument angivna på kommandoraden skriver över bägge. Syntaxen i konfigurationsfilen är 'option=<value>', allting efter ett '#' är antaget som en kommentar. Inställningar som fungerar utan värden kan bli aktiverade genom att sätta dem till 'yes', '1' eller 'true', och kan bli avaktiverade genom att sätta dem till 'no', '0' eller 'false'. Även underargument kan bli specifierade på detta vis.

EXEMPEL:
# Använd Matrox-drivrutin per standard.
vo=xmga
# Jag älskar att stå på händerna när jag kollar på video
flip=yes
# Decode/encode multipla filer från png,
# starta med mf://filemask
mf=type=png:fps=25
# Eerie-negativa bilder är coola.
vf=eq2=1.0:-0.8

Du kan även skriva filspecifika konfigurationsfiler. Om du önskar att ha en konfigurationsfil för en fil kallad 'movie.avi', skapa då en fil kallad 'movie.avi.conf' med de filspecifika inställningar i sig och placera den i ~/.mplayer eller i samma katalog som filen.

GENERELLA INSTÄLLNINGAR

-codecs-file <filnamn> (se även -afm, -ac, -vfm, -vc)
    Använd specifierad fil istället för systemvid ller inbyggd codecs.conf.

-include <konfigurationsfil>
    Specifiera konfigurationsfil till att bli tolkad efter de vanliga.

-quiet
    Gör konsolutskrift mindre uttömmande; till exempel så ser den till att statuslinje (d.v.s. A: 0.7 V: 0.6 A-V: 0.068 ...) från att visas. Speciellt användbart på slöa terminaler och trasiga sådana som inte hanterar fullt ut vagnretur (d.v.s. \r).

-v, -verbose
    Ökar ordrikedomsnivån (flera -v betyder mer ordrikedom). endast något informerande utskrift (standard) viss fundamental debuginformation, avihuvuden, funktionsvärden (init debug) skriver ut avi-indexes, 'chunk input', med debuginformation (player debug) skriver ut allting relaterat till inputtolkar (parser debug)

SPELARINSTÄLLNINGAR (ENDAST MPLAYER)

-autoq <kvalité> (används med -vf [s]pp)
    Dynamiskt ändra nivån av afterproccessering beroende på tillgängliga CPU-cyklar. Värdet du specifierar kommer att bli den maximalt använda nivån, vanligtvis så kan du specifiera stora värden. Du måste använda -vf [s]pp utan paramertar för att få detta att funka.

-autosync <faktor>
    Gradvist ställa in A/V-synkning baserat på audiofördröjningsmätning. Om du anger -autosync 0 (standard), kommer bildramsanpassningen att vara baserad endast av audiofördröjningsmätning. Om du anger -autosync 1 så kommer liknande att inträffa, förutom att A/V-korrektionsalgoritmen kommer att ändras något. Ett udda videoframerate i en film vilken spelar bra med -nosound kan ofta bli hjälpt med att sätta denna till ett värde större än 1. Ju större värde, ju närmare anpassningen kommer att vara -nosound. Testa -autosync 30 för att plana ut problem med ljuddrivrutiner vilka inte implementerar en perfekt audiofördröjningsmätning. Med detta värde, om stora A/V-synkningsfel inträffar, kommer det endast att ta 1 eller 2 sekunder att plana ut. Denna fördröjning i reaktionstid till plötslig A/V-fel torde vara den enda sidoeffekt med att ha denna inställd aktiverad, för alla ljuddrivrutiner.

-benchmark
    Skriver ut viss statistik ang. CPU-användning samt tappade bildrutor vid slutet att uppspelning. Använd i kombination med -nosound samt -vo null för benchmarkning av endast videocodec.
    NOTERA: Med denna inställning så kommer MPlayer att ignorera bildramsduration vid spelande av endast video (du kan tänka detta som oändlig bps)

-colorkey <nummer>
    Ändrar färgnyckeln till av dig valt RGB-värde. RGB-värdet är i form av 0xrrggbb där varje färg är ett värde från 00 till ff (0 till 255) där 0x000000 är svart samt 0xffffff är vitt. Detta stödjs endast av cvidix-, fbdev-, svga-, vesa-, winvidix-, xmga-, xvidix- samt xover-video-ut-drivrutinerna.

-nocolorkey
    Inaktiverar färgnyckling. Dtödjs endast av cvidix-, fbdev-, svga-, vesa-, winvidix-, xmga-, xvidix- samt xover-video-ut-dtrivrutinerna.

-edl <filnamn> (Endast EDL)
    Aktivera händelser för val i redigeringslista (EDL) under uppspelning. Video kommer att skippas och audio kommer att bli mutad/omutad i relation till inlägg i given fil. Se DOCS/HTML/en/edl.html för detaljer att använda detta

-edlout <filnamn> (Endast EDL)
    Skapar en ny fil och skriver redigeringsvalslistsinspelning till denna fil. Under uppspelning, när användaren knappar på 'i', ett inlägg för att hoppa över de två sista minuterna komma att skrivas in i filen. Detta möjliggör en startpunkt från det attanvändaren kan finjustea EDL-inläggen senare. Se DOCS/HTML/en/edl.html för detaljer.

-enqueue (Endast GUI)
    Lägg till angivna filer till spellista istället för att spela upp dem på direkten.

-fixed-vo (BETAKOD!)
    Forcerar ett fixerat videosystem för multipla filer ( en (de)initiering för alla filer). Därav endast ett fönster kommer att bli öppnat för alla filer. För stunden endast följande drivrutiner stödjer detta: gl2, mga, svga, x11, xmga, xv, xvidix samt dfbmga.

-framedrop (se även -hardframedrop)
    Skippa visning av vissa bildrutor för att fårtfå en A/V-synkronisering på slöa system. Videofilter är inte applicerade på sådana bildrutor. För B-bildrutor, även avkodning skippas helt.

-h, -help, --help
    Visa kort introduktion av argument.

-hardframedrop
    Mer intensiv framedropping (byter dekodning). Leder till bildförstörning.

-identify
    Visar filparametrar i ett enkelt tolkningsbart format. Wrapperscriptet TOOLS/midentify tar bort övrig MPlayer-output och (förhoppningsvis) shellescapear filnamnet.

-input <kommandon>
    Detta argument kan användas för att konfigurera specifika delar av input-systemet. Kataloger är relativa till ~/.mplayer/.
    NOTERA: Autorepeat stödls för tillfället endast av joystick.

    Tillgängliga kommandon är:

    Specifiera input-konfigurationsfil istället för standard ~/.mplayer/input.conf. ~/.pmlayer/<filnamn> är antaget om inte full path är given. Fördröj i millisekunder före vi startar med att autoupprpa en nyckel (0 för att inaktivera) Antalet nycklar nedtryckta per sekund för autouprepning. Skriv ut alla nucklar som kan kopplas till kommandon. Skriv ut atta kommandon som kan bli kopplade till nycklar. Specifera joysticksenheten (standard: /dev/input/js0). Läs kommandon från given fil. Mestadels användbar med en FIFO.
    NOTERA: När given fil är en FIFO, Kommer MPlayer att öppna båda ändarna så du kan göra flera 'echo "seek 10" > mp_pipe' och pipen kommer att fortsätta vara valid.

-lircconf <filnamn> (Endast LIRC)
    Specifiera en konfigurationsfil för LIRC (standard: ~/.lircrc).

-list-options
    Skriv ut alla tillgängliga alternativ.

-loop <nummer>
    Loopar filmuppspelningen <nummer> gånger. 0 betyder oändligt.

-menu (Endast OSD-meny)
    Aktiverar OSD-menystöd.

-menu-cfg <filnamn> (Endast OSD-meny)
    Använd en alternativ menu.conf.

-menu-root <värde> (Endast OSD-meny)
    Specifiera huvudmenyn.

-menu-startup (Endast OSD-meny)
    Deaktivera huvudmenyn vid start av MPlayer.

-noconsolecontrols
    Förhindrar MPlayer från att läsa nyckelhändelser från stdin. Användbart vid läsning av data från stdin. Detta är automatiskt aktiverat när - är angivet på kommandoraden. Det är situationer där du måste aktivera det manuellt, t.ex. om du öppnar /dev/stdin (eller ekvivalent på ditt system), använder stdin i en spellista, eller kommer att läsa från stdin senare via laddningsfilen eller slavanrop från laddningsfilen.

-nojoystick
    Deaktiverar joysticksstöd.

-nolirc
    Deaktiverar LIRC-stöd.

-nomouseinput (Endast X11)
    Deaktiverar input av musknappshändelser (mozplayerxp:s sammanhangsmeny stödjer sig på detta alternativ).

-nortc (Endast RTC)
    Stänger av användning av Linux-RTC (realtisdklocka - /dev/rtc) som tidtagningsmekanism.

-playlist <filnamn>
    Spela filerna enligt en spellistsfil (ASX, Winamp, SMIL, eller en fil men en fil att spela per rad).
    NOTERA: Detta alternativ är tolkat som ett inlägg, så alternativ funna efter deta kommer bara att appliceras på elementen i spellistan.
    -

-really-quiet (se även -quiet)
    Visa allt mindre information och statusmeddelande än med -quiet.

-rtc-device <enhet>
    Använd specifierad enhet för RTC-tidtagning.

-shuffle
    Spela filerna i slumpvis ordning.

-skin <namn> (Endast GUI)
    Ladda angivet skin från en katalog vilke som standard är: /usr/local/share/mplayer/Skin/ samt ~/.mplayer/Skin/.

    EXEMPEL: Försöker /usr/local/share/mplayer/Skin/fittyfene och efteråt ~/.mplayer/Skin/fittyfene.

-slave (se även -input)
    Aktiverar slavmode, i vilken MPlayer arbetar såsom ett backend för andra program. Istället för att ta tagentbordshändelser, så kommer MPlayer att läsa kommandon från stdin.
    NOTERA: Se '-input cmdlist' för en lista över slavkommandon och DOCS/tech/slave.txt för deras beskrivning.

-softsleep
    Använd högkvalitativa mjukvarutidtagningstidtagare istället för RTC. Såsom precis som RTC utan att kräva speciella privilegier. Kommer med priset av högre CPU-konsumtion.

-speed <0.01-100>
    Sakta ner eller speeda upp uppspelning med faktorn given i parametern.

-sstep <sekunder>
    Visa en bildram var <sekunder> sekund. Användbart för slideshows.

DEMUXER/STREAM OPTIONS

-a52drc <level>
    Select the Dynamic Range Compression level for AC3 audio streams. <level> is a float value ranging from 0 to 1, where 0 means no compression and 1 (which is the default) means full compression (make loud passages more silent and vice versa). This option only shows an effect if the AC3 stream contains the required range compression information.

-aid <ID> (also see -alang)
    Select audio channel (MPEG: 0-31, AVI/OGM: 1-99, ASF/RM: 0-127, VOB(AC3): 128-159, VOB(LPCM): 160-191, MPEG-TS 17-8190). MPlayer prints the available IDs when run in verbose (-v) mode. When playing an MPEG-TS stream, MPlayer/MEncoder will use the first program (if present) with the chosen audio stream.

-alang <language code> (also see -aid)
    Play the audio stream whose language matches the given code. Different container formats employ different language codes. DVDs use ISO 639-1 two letter language codes, Matroska and NUT use ISO 639-2 three letter language codes while OGM uses a free-form identifier. MPlayer prints a list of available languages when run in verbose (-v) mode.

    EXAMPLE: Chooses the Hungarian language track on a DVD and falls back on English if Hungarian is not available. Plays a Matroska file in Japanese.

-audio-demuxer <number> (-audiofile only)
    Force audio demuxer type for -audiofile. Give the demuxer ID as defined in libmpdemux/demuxer.h. -audio-demuxer 17 forces MP3.

-audiofile <filename>
    Play audio from an external file (WAV, MP3 or Ogg Vorbis) while viewing a movie.

-audiofile-cache <kBytes>
    Enables caching for the stream used by -audiofile, using the specified amount of memory.

-bandwidth <value> (network only)
    Specify the maximum bandwidth for network streaming (for servers that are able to send content in different bitrates). Useful if you want to watch live streamed media behind a slow connection.

-cdrom-device <path to device>
    Specify the CD-ROM device (default: /dev/cdrom).

-cache <kBytes>
    This option specifies how much memory (in kBytes) to use when precaching a file or URL. Especially useful on slow media.

-cache-min <percentage>
    Playback will start when the cache fill threshold set with this option is reached.

-cache-prefill <percentage> (not yet implemented)
    When the cache is emptied MPlayer will pause and restart playback when the cache prefill threshold set with this option is reached.

-cdda <option1:option2> (CDDA only)
    This option can be used to tune the CD Audio reading feature of MPlayer.

    Available options are: Set CD spin speed. Set paranoia level. 0: disable checking
    1: overlap checking only (default)
    2: full data correction and verification Use specified generic SCSI device. Set atomic read size. Force minimum overlap search during verification to <value> sectors. Assume that the beginning offset of track 1 as reported in the TOC will be addressed as LBA 0. Some Toshiba drives need this for getting track boundaries correct. Add <value> sectors to the values reported when addressing tracks. May be negative. (Never) accept imperfect data reconstruction.

-channels <number>
    Change the number of playback channels (default: 2). If the number of output channels is bigger than the number of input channels empty channels are inserted (unless mixing from mono to stereo, then the mono channel is repeated in both output channels). If the number of output channels is smaller than the number of input channels, results depend on the audio decoder (-afm). MPlayer asks the decoder to decode the audio into as many channels as specified. Now it's up to the decoder to fulfill the requirement. If the decoder outputs more channels than requested, the exceeding channels are truncated. This is usually only important when playing videos with AC3 audio (like DVDs). In that case liba52 does the decoding by default and correctly downmixes the audio into the requested number of channels.
    NOTE: This option is honored by codecs (AC3 only), filters (surround) and ao drivers (OSS at least).

    Available options are:

    stereo surround full 5.1

-chapter <chapter ID>[-<end chapter ID>] (DVD only)
    Specify which chapter to start playing at. Optionally specify which chapter to end playing at (default: 1).

-cookies (network only)
    Send cookies when making HTTP requests.

-cookies-file <filename> (network only)
    Read HTTP cookies from <filename> (default: ~/.mozilla/ and ~/.netscape/) and skip reading from default locations. The file is assumed to be in Netscape format.

-demuxer <number>
    Force demuxer type. Give the demuxer ID as defined in libmpdemux/demuxer.h. -demuxer 17 forces MP3.

-dumpaudio (MPlayer only)
    Dumps raw compressed audio stream to ./stream.dump (useful with MPEG/AC3).

-dumpfile <filename> (MPlayer only)
    Specify which file MPlayer should dump to. Should be used together with -dumpaudio / -dumpvideo / -dumpstream.

-dumpstream (MPlayer only)
    Dumps the raw stream to ./stream.dump. Useful when ripping from DVD or network.

-dumpvideo (MPlayer only)
    Dump raw compressed video stream to ./stream.dump (not very usable).

-dvbin <options> (DVB only)
    Pass the following parameters to the DVB input module, in order to override the default ones:

    Specifies using card number 1-4 (default: 1). Instructs MPlayer to read the channels list from <filename>. Default is ~/.mplayer/channels.conf.{sat,ter,cbl} (based on your card type) or ~/.mplayer/channels.conf as a last resort.

-dvd-device <path to device> (DVD only)
    Specify the DVD device (default: /dev/dvd). You can also specify a directory that contains files previously copied directly from a DVD (such as with vobcopy). Note that using -dumpstream is usually a better way to copy DVD titles in the first place (see the examples).

-dvdangle <angle ID> (DVD only)
    Some DVD discs contain scenes that can be viewed from multiple angles. Here you can tell MPlayer which angles to use (default: 1).

-forceidx
    Force index rebuilding. Useful for files with broken index (A/V desync, etc). This will enable seeking in files where seeking was not possible. You can fix the index permanently with MEncoder (see the documentation).
    NOTE: This option only works if the underlying media supports seeking (i.e. not with stdin, pipe, etc).

-fps <float value>
    Override video framerate. Useful if the original value is wrong or missing.

-frames <number>
    Play/convert only first <number> frames, then quit.

-hr-mp3-seek (MP3 only)
    Hi-res MP3 seeking. Enabled when playing from an external MP3 file, as we need to seek to the very exact position to keep A/V sync. Can be slow especially when seeking backwards since it has to rewind to the beginning to find an exact frame position.

-idx (also see -forceidx)
    Rebuilds index of files if no index was found, allowing seeking. Useful with broken/incomplete downloads, or badly created files.
    NOTE: This option only works if the underlying media supports seeking (i.e. not with stdin, pipe, etc).

-ipv4-only-proxy (network only)
    Skip the proxy for IPv6 addresses. It will still be used for IPv4 connections.

-loadidx <index file>
    The file from which to read the video index data saved by -saveidx. This index will be used for seeking, overriding any index data contained in the AVI itself. MPlayer won't prevent you from loading an index file generated from a different AVI, but this is sure to cause unfavorable results.
    NOTE: This option is obsolete now that MPlayer has OpenDML support.

-mc <seconds/frame>
    maximum A-V sync correction per frame (in seconds)

-mf <option1:option2:...>
    Used when decoding from multiple PNG or JPEG files.

    Available options are:

    output width (default: autodetect) output height (default: autodetect) output fps (default: 25) input file type (available: jpeg, png, tga, sgi)

-ni (AVI only)
    Force usage of non-interleaved AVI parser (fixes playback of some bad AVI files).

-nobps (AVI only)
    Do not use average byte/second value for A-V sync. Helps with some AVI files with broken header.

-noextbased
    Disables extension-based demuxer selection. By default, when the file type (demuxer) cannot be detected reliably (the file has no header or it is not reliable enough), the filename extension is used to select the demuxer. Always falls back on content-based demuxer selection.

-passwd <password> (also see -user) (network only)
    Specify password for HTTP authentication.

-prefer-ipv4 (network only)
    Use IPv4 on network connections. Falls back on IPv6 automatically.

-prefer-ipv6 (IPv6 network only)
    Use IPv6 on network connections. Falls back on IPv4 automatically.

-rawaudio <option1:option2:...>
    This option lets you play raw audio files. It may also be used to play audio CDs which are not 44KHz 16-bit stereo. For playing raw AC3 streams use -rawaudio on:format=0x2000.

    Available options are:

    Use raw audio demuxer. number of channels rate in samples per second sample size in bytes bitrate for rawaudio files fourcc in hex

-rawvideo <option1:option2:...>
    This option lets you play raw video files.

    Available options are:

    Use raw video demuxer. rate in frames per second (default: 25.0) set standard image size image width in pixels image height in pixels set colorspace colorspace (fourcc) in hex frame size in Bytes

-rtsp-stream-over-tcp (live.com only)
    Used with 'rtsp://' URLs to specify that the resulting incoming RTP and RTCP packets be streamed over TCP (using the same TCP connection as RTSP). This option may be useful if you have a broken internet connection that does not pass incoming UDP packets (see http://www.live.com/mplayer/).

-saveidx <filename>
    Force index rebuilding and dump the index to <filename>. Currently this only works with AVI files.
    NOTE: This option is obsolete now that MPlayer has OpenDML support.

-sb <byte position> (also see -ss)
    Seek to byte position. Useful for playback from CD-ROM images or VOB files with junk at the beginning.

-srate <Hz>
    Selects the given output sampling rate, resampling if necessary. The type of resampling can be controlled by the -af-adv option. The default is fast resampling that may cause distortion. MEncoder passes this value to LAME for resampling.

-ss <time> (also see -sb)
    Seek to given time position.

    EXAMPLE: Seeks to 56 seconds. Seeks to 1 hour 10 min.

-tskeepbroken
    Tells MPlayer not to discard TS packets reported as broken in the stream. Sometimes needed to play corrupted MPEG-TS files.

-tsprobe <byte position>
    When playing an MPEG-TS stream, this option lets you specify how many bytes in the stream you want MPlayer to search for the desired audio and video pids.

-tsprog <1-65534>
    When playing an MPEG-TS stream, you can specify with this option which program (if present) you want to play. Can be used with -vid and -aid.

-tv <option1:option2:...> (TV only)
    This option tunes various properties of the TV capture module. For watching TV with MPlayer, use 'tv://' or 'tv://<channel_number>' or even 'tv://<channel_name> (see option channels for channel_name below) as a movie URL.

    Available options are: no sound available: dummy, v4l, v4l2, bsdbt848 Specify TV device (default: /dev/video0). Specify input (default: 0 (TV), see console output for available inputs). Specify the frequency to set the tuner to (e.g. 511.250). Not compatible with the channels parameter. Specify the output format of the tuner with a preset value supported by the V4L driver (yv12, rgb32, rgb24, rgb16, rgb15, uyvy, yuy2, i420) or an arbitrary format given as hex value. Try outfmt=help for a list of all available formats. output window width output window height framerate at which to capture video (frames per second) maximum size of the capture buffer in megabytes (default: dynamical) available: PAL, SECAM, NTSC. For v4l2 use the normid option below. See console output for a list of available TV norms. Set tuner to <value> channel. available: europe-east, europe-west, us-bcast, us-cable, etc Set names for channels. Use _ for spaces in names (or play with quoting ;-). The channel names will then be written using OSD, and the slave commands tv_step_channel, tv_set_channel and tv_last_channel will be usable for a remote control (see LIRC). Not compatible with the frequency parameter.
    NOTE: The channel number will then be the position in the 'channels' list, beginning with 1.
    EXAMPLE: tv://1, tv://TV1, tv_set_channel 1, tv_set_channel TV1 Set the image equalizer on the card. Set audio capture bitrate. Capture audio even if there are no audio sources reported by v4l. Capture from ALSA. Choose an audio mode: 0: mono
    1: stereo
    2: language 1
    3: language 2 By default, the count of recorded audio channels is determined automatically by querying the audio mode from the TV card. This option allows forcing stereo/mono recording regardless of the amode option and the values returned by v4l. This can be used for troubleshooting when the TV card is unable to report the current audio mode. Set an audio device. <value> should be /dev/xxx for OSS and a hardware ID for ALSA. See the -ao alsa documentation to find out how to specify the hardware ID. Choose an audio output of the capture card, if it has more than one. These options set parameters of the mixer on the video capture card. They will have no effect, if your card does not have one. For v4l2 50 maps to the default value of the control, as reported by the driver. A value of 0 means capture and buffer audio and video together (default for MEncoder). A value of 1 (default for MPlayer) means to do video capture only and let the audio go through a loopback cable from the TV card to the sound card. Use hardware MJPEG compression (if the card supports it). When using this option, you do not need to specify the width and height of the output window, because MPlayer will determine it automatically from the decimation value (see below). choose the size of the picture that will be compressed by hardware MJPEG compression: 1: full size
        704x576 PAL
        704x480 NTSC
    2: medium size
        352x288 PAL
        352x240 NTSC
    4: small size
        176x144 PAL
        176x120 NTSC Choose the quality of the JPEG compression (< 60 recommended for full size).

-user <username> (also see -passwd) (network only)
    Specify username for HTTP authentication.

-user-agent <string>
    Use <string> as user agent for HTTP streaming.

-vid <ID>
    Select video channel (MPG: 0-15, ASF: 0-255, MPEG-TS: 17-8190). When playing an MPEG-TS stream, MPlayer/MEncoder will use the first program (if present) with the chosen video stream.

-vivo <sub-options> (DEBUG CODE)
    Force audio parameters for the VIVO demuxer (for debugging purposes).

OSD/SUB OPTIONS
NOTE: Also see -vf expand.

-dumpjacosub (MPlayer only)
    Convert the given subtitle (specified with the -sub option) to the time-based JACOsub subtitle format. Creates a dumpsub.js file in the current directory.

-dumpmicrodvdsub (MPlayer only)
    Convert the given subtitle (specified with the -sub option) to the MicroDVD subtitle format. Creates a dumpsub.sub file in the current directory.

-dumpmpsub (MPlayer only)
    Convert the given subtitle (specified with the -sub option) to MPlayer's subtitle format, MPsub. Creates a dump.mpsub file in the current directory.

-dumpsami (MPlayer only)
    Convert the given subtitle (specified with the -sub option) to the time-based SAMI subtitle format. Creates a dumpsub.smi file in the current directory.

-dumpsrtsub (MPlayer only)
    Convert the given subtitle (specified with the -sub option) to the time-based SubViewer (SRT) subtitle format. Creates a dumpsub.srt file in the current directory.

-dumpsub (MPlayer only) (BETA CODE)
    Dumps the subtitle substream from VOB streams. Also see the -dump*sub and -vobsubout* options.

-ffactor <number> (OSD only)
    Resample the font alphamap. Can be: plain white fonts very narrow black outline (default) narrow black outline bold black outline

-flip-hebrew (FriBiDi only)
    Turns on flipping subtitles using FriBiDi.

-noflip-hebrew-commas
    Change FriBiDi's assumptions about the placements of commas in subtitles. Use this if commas in subtitles are shown at the start of a sentence instead of at the end.

-font <path to font.desc file> (OSD only)
    Search for the OSD/SUB fonts in an alternative directory (default for normal fonts: ~/.mplayer/font/font.desc, default for FreeType fonts: ~/.mplayer/subfont.ttf).
    NOTE: With FreeType, this option determines the path to the text font file. With fontconfig, this option determines the fontconfig font name.

    EXAMPLE: -font ~/.mplayer/arial-14/font.desc
    -font ~/.mplayer/arialuni.ttf
    -font 'Bitstream Vera Sans'

-fontconfig (fontconfig only)
    Enables the usage of fontconfig managed fonts.

-forcedsubsonly
    Display only forced subtitles for the DVD subtitle stream selected by e.g. -slang.

-fribidi-charset <charset name> (FriBiDi only)
    Specifies the character set that will be passed to FriBiDi when decoding non-UTF-8 subtitles (default: ISO8859-8).

-ifo <VOBsub ifo file>
    Indicate the file that will be used to load palette and frame size for VOBsub subtitles.

-noautosub
    Turns off automatic subtitle file loading.

-osdlevel <0-3> (MPlayer only)
    Specifies which mode the OSD should start in. subtitles only volume + seek (default) volume + seek + timer + percentage volume + seek + timer + percentage + total time

-overlapsub
    Allows the next subtitle to be displayed while the current one is still visible (default is to enable the support only for specific formats).

-sid <ID> (also see -slang option)
    Display DVD subtitles in the language specified by <ID> (0-31). MPlayer prints the available subtitle languages when run in verbose (-v) mode.

-slang <country code[,country code,...]> (also see -sid)
    Specify a priority list of DVD subtitle languages to use. Languages must be given as two letter country codes. MPlayer prints the available subtitle languages when run in verbose (-v) mode.

    EXAMPLE: Selects Hungarian and falls back on English if Hungarian is not available.

-spuaa <mode> (OSD only)
    Antialiasing/scaling mode for DVD/VOBsub. A value of 16 may be added to <mode> in order to force scaling even when original and scaled frame size already match. This can be employed to e.g. smooth subtitles with gaussian blur. Available modes are: none (fastest, very ugly) approximate (broken?) full (slow) bilinear (default, fast and not too bad) uses swscaler gaussian blur (looks very good)

-spualign <-1-2> (OSD only)
    Specify how SPU (DVD/VOBsub) subtitles should be aligned. original position align at top (original/default behavior) align at center align at bottom

-spugauss <0.0-3.0> (OSD only)
    Variance parameter of gaussian used by -spuaa 4. Higher means more blur (default: 1.0).

-sub <subtitlefile1,subtitlefile2,...>
    Use/display these subtitle files. Only one file can be displayed at the same time.

-sub-bg-alpha <0-255>
    Specify the alpha channel value for subtitles and OSD backgrounds. Big values mean more transparency. 0 means completely transparent.

-sub-bg-color <0-255>
    Specify the color value for subtitles and OSD backgrounds. Currently subtitles are grayscale so this value is equivalente to the intensity of the color. 255 means white and 0 black.

-sub-demuxer <number> (-subfile only) (BETA CODE)
    Force subtitle demuxer type for -subfile. Give the demuxer ID as defined in subreader.h.

-sub-fuzziness <mode>
    Adjust matching fuzziness when searching for subtitles: exact match Load all subs containing movie name. Load all subs in the current directory.

-sub-no-text-pp
    Disables any kind of text post processing done after loading the subtitles. Used for debug purposes.

-subalign <0-2> (OSD only)
    Specify how subtitles should be aligned with -subpos. Align at top (original/default behavior). Align at center. Align at bottom.

-subcc
    Display DVD Closed Caption (CC) subtitles. These are NOT the VOB subtitles, these are special ASCII subtitles for the hearing impaired encoded in the VOB userdata stream on most region 1 DVDs. CC subtitles have not been spotted on DVDs from other regions so far.

-subcp <codepage> (iconv only)
    If your system supports iconv(3), you can use this option to specify the subtitle codepage.

    EXAMPLE: -subcp latin2
    -subcp cp1250

-subcp enca:<language>:<fallback codepage> (ENCA only)
    You can specify your language using a two letter language code to make ENCA detect the codepage automatically. If unsure, enter anything and watch mplayer -v output for available languages. Fallback codepage specifies the codepage to use, when autodetection fails.

    EXAMPLE: Guess the encoding, assuming the subtitles are Czech, fall back on latin 2, if the detection fails. Guess the encoding for Polish, fall back on cp1250.

-subdelay <sec>
    Delays subtitles by <sec> seconds. Can be negative.

-subfile <filename> (BETA CODE)
    Currently useless. Same as -audiofile, but for subtitle streams (OggDS?).

-subfont-autoscale <0-3> (FreeType only)
    Sets the autoscale mode.
    NOTE: 0 means that text scale and OSD scale are font heights in points.

    The mode can be:

    no autoscale proportional to movie height proportional to movie width proportional to movie diagonal (default)

-subfont-blur <0-8> (FreeType only)
    Sets the font blur radius (default: 2).

-subfont-encoding <value> (FreeType only)
    Sets the font encoding. When set to 'unicode', all the glyphs from the font file will be rendered and unicode will be used (default: unicode).

-subfont-osd-scale <0-100> (FreeType only)
    Sets the autoscale coefficient of the OSD elements (default: 6).

-subfont-outline <0-8> (FreeType only)
    Sets the font outline thickness (default: 2).

-subfont-text-scale <0-100> (FreeType only)
    Sets the subtitle text autoscale coefficient as percentage of the screen size (default: 5).

-subfps <rate>
    Specify the framerate of the subtitle file (default: movie fps).
    NOTE: Only for frame-based subtitle files, i.e. MicroDVD format.

-subpos <0-100> (useful with -vf expand) (OSD only)
    Specify the position of subtitles on the screen. The value is the vertical position of the subtitle in % of the screen height.

-subwidth <10-100> (OSD only)
    Specify the maximum width of subtitles on the screen. Useful for TV-out. The value is the width of the subtitle in % of the screen width.

-unicode
    Tells MPlayer to handle the subtitle file as unicode.

-utf8
    Tells MPlayer to handle the subtitle file as UTF-8.

-vobsub <VOBsub file without extension>
    Specify a VOBsub file to use for subtitles. Has to be the full pathname without extension, i.e. without the '.idx', '.ifo' or '.sub'.

-vobsubid <0-31>
    Specify the VOBsub subtitle ID.

AUDIO OUTPUT OPTIONS (MPLAYER ONLY)

-abs <value> (-ao oss only) (OBSOLETE)
    Override audio driver/card buffer size detection.

-aofile <filename>
    Override the default filename employed by -ao pcm.

-aop <list=plugin1,plugin2...:option1=value1:opt2=val2...>
    Specify audio plugin(s) and their options (also see the audio plugins section of the documentation).

    Available options are: comma separated list of plugins (resample, surround, format, volume, extrastereo, volnorm, delay) example plugin, do not use (delay plugin only) output format (format plugin only) output frequency (resample plugin only) volume (volume plugin only) stereo coefficient (default: 2.5) (extrastereo plugin only) compressor / 'soft-clipping' capabilities (volume plugin only)

-delay <sec>
    Audio delay in seconds (positive or negative float value).

-format <0-8192>
    Select the format used for output from the filter layer (according to the defines in libao2/afmt.h): Mu-Law A-Law Ima-ADPCM unsigned 8-bit signed 16-bit (little-endian) signed 16-bit (big-endian) signed 8-bit unsigned 16-bit (little-endian) unsigned 16-bit (big-endian) MPEG (2) Audio AC3 signed 32-bit (little-endian) signed 32-bit (big-endian)

-mixer <device>
    Use a mixer device different from the default /dev/mixer. For ALSA this is the mixer name.

-mixer-channel <mixer line>[,mixer index] (-ao oss and -ao alsa only)
    This option will tell MPlayer to use a different channel for controlling volume than the default PCM. Options for OSS include vol, pcm, line. For a complete list of options look for SOUND_DEVICE_NAMES in /usr/include/linux/soundcard.h. For ALSA you can use the names e.g. alsamixer displays, like Master, Line, PCM.
    NOTE: ALSA mixer channel names followed by a number must be specified in the <name,number> format, i.e. a channel labeled 'PCM 1' in alsamixer must be converted to PCM,1.

-nowaveheader (-ao pcm only)
    Don't include wave header. Used for raw PCM.

-volstep <0-100>
    Set the step size of mixer volume changes in percent of the whole range (default: 3).

AUDIO OUTPUT DRIVERS (MPLAYER ONLY)
Audio output drivers are interfaces to different audio output facilities. The syntax is:

-ao <driver1[:suboption1[=value]:...],driver2,...[,]>
    Specify a priority list of audio output drivers to be used.

If the list has a trailing ',' MPlayer will fall back on drivers not contained in the list. Suboptions are optional and can mostly be omitted.
NOTE: See -ao help for a list of compiled-in audio output drivers.

EXAMPLE: Try the ALSA driver, then the OSS driver, then others. Sets noblock-mode, mmap-mode and the device-name as first card, fourth device.

Available audio output drivers are:

alsa
    ALSA 0.9/1.x audio output driver. Sets experimental mmap-mode (does not work for more than 2 channels). Sets noblock-mode. Sets the device name. Replace any ',' with '.' and any ':' with '=' in the ALSA device name. Make sure you do not set this when you want hwac3 output via S/PDIF, unless you really know how to set it correctly.

alsa1x (OBSOLETE)
    ALSA 1.x audio output driver. Obsoleted by the general alsa audio output driver.

alsa9 (OBSOLETE)
    ALSA 0.9 audio output driver. Obsoleted by the general alsa audio output driver.

alsa5
    ALSA 0.5 audio output driver.

oss OSS audio output driver Sets the audio-output device (default: /dev/dsp).

sdl Highly platform independent SDL (Simple Directmedia Layer) library audio output driver. Explicitly choose the SDL audio driver to use (default: let SDL choose).

arts
    Audio output through the Arts daemon.

esd Audio output through the ESD daemon. Explicitly choose the ESD server to use (default: localhost).

jack
    Audio output through JACK (Jack Audio Connection Kit).

nas Audio output through NAS.

macosx (Mac OS X only)
    Native Mac OS X audio output driver.

sgi (SGI only)
    Native SGI audio output driver.

sun (Sun only)
    Native Sun audio output driver. Explicitly choose the audio device to use (default: /dev/audio).

win32 (Windows only)
    Native Windows waveout audio output driver.

dxr2 (also see -dxr2) (DXR2 only)
    Creative DXR2 specific output driver.

mpegpes (DVB only)
    DVB specific output driver.

null
    Produces no audio output but maintains video playback speed. Use -nosound for benchmarking.

pcm (also see -aofile)
    Raw PCM/wave file writer audio output. Writes the sound to ./audiodump.wav.

plugin
    Plugin audio output driver.

VIDEO OUTPUT OPTIONS (MPLAYER ONLY)

-aa* (-vo aa only)
    You can get a list and an explanation of available options executing mplayer -aahelp

-adapter <value>
    Set the graphics card that will receive the image. Needs the -vm option to work. You can get a list of available cards when you run this option with -v. Works currently only with -vo directx.

-bpp <depth>
    Override the autodetected color depth. Only supported by the fbdev, dga, svga, vesa video output drivers.

-brightness <-100-100>
    Adjust the brightness of the video signal (default: 0). Not supported by all video output drivers.

-contrast <-100-100>
    Adjust the contrast of the video signal (default: 0). Not supported by all video output drivers.

-dfbopts <value> (-vo directfb only)
    Specify a parameter list for the directfb video output driver.

-display <name> (X11 only)
    Specify the hostname and display number of the X server you want to display on.

    EXAMPLE: -display xtest.localdomain:0

-double
    Enables double buffering. Fixes flicker by storing two frames in memory, and displaying one while decoding another. Can affect OSD negatively, but often it removes OSD flickering. Needs twice the memory of a single buffer, so it won't work on cards with very little video memory.

-dr Turns on direct rendering (not supported by all codecs and video outputs)
    WARNING: May cause OSD/SUB corruption!

-dxr2 <option1:option2:...>
    This option is used to control the dxr2 video output driver. aspect ratio mode (0 = normal, 1 = pan-and-scan, 2 = letterbox (default)) Set iec958 output mode to encoded. Set iec958 output mode to decoded (default). macrovision mode (0 = off (default), 1 = agc, 2 = agc 2 colorstripe, 3 = agc 4 colorstripe) mute sound output unmute sound output path to the microcode

    TV output
enable 7.5 IRE output mode disable 7.5 IRE output mode (default) b/w TV output color TV output (default) interlaced TV output (default) disable interlaced TV output TV norm (ntsc (default), pal, pal60, palm, paln, palnc) set pixel mode to square set pixel mode to ccir601

    overlay
Set the left cropping value (default: 50). Set the right cropping value (default: 300). Set the top cropping value (default: 0). Set the bottom cropping value (default: 0). Set the r(ed), g(reen) or b(lue) gain of the overlay color-key. minimum value for the respective color key maximum value for the respective color key Ignore cached overlay settings. Update cached overlay settings. Enable overlay onscreen display. Disable overlay onscreen display (default). Adjust the overlay size (h,w) and position (x,y) in case it does not match the window perfectly (default: 0). Activate overlay (default). Activate TVout. Tune the overlay (default: 1000).

-fb <device> (-vo fbdev or directfb only) (OBSOLETE)
    Specifies the framebuffer device to use (default: /dev/fb0).

-fbmode <modename> (-vo fbdev only)
    Change video mode to the one that is labeled as <modename> in /etc/fb.modes.
    NOTE: VESA framebuffer doesn't support mode changing.

-fbmodeconfig <filename> (-vo fbdev only)
    Override framebuffer mode configuration file (default: /etc/fb.modes).

-forcexv (-vo sdl only)
    Force using XVideo through the sdl video output driver.

-fs (also see -zoom)
    Fullscreen playback (centers movie, and paints black bands around it). Not supported by all video output drivers.

-fsmode-dontuse <0-31> (OBSOLETE, use the -fs option)
    Try this option if you still experience fullscreen problems.

-fstype <type1,type2,...> (X11 only)
    Specify a priority list of fullscreen modes to be used. You can negate the modes by prefixing them with '-'. If you experience problems like the fullscreen window being covered by other windows try using a different order.
    NOTE: See -fstype help for a full list of available modes.

    The available types are:

    Use the _NETWM_STATE_ABOVE hint if available. Use the _NETWM_STATE_BELOW hint if available. Use the _NETWM_STATE_FULLSCREEN hint if available. Use the _WIN_LAYER hint with the default layer. Use the _WIN_LAYER hint with the given layer number. Force NETWM style. Do not set fullscreen window layer. Use _NETWM_STATE_STAYS_ON_TOP hint if available.

    EXAMPLE:
Default order, will be used as a fallback if incorrect or unsupported modes are specified. Fixes fullscreen switching on OpenBox 1.x.

-geometry x[%][:y[%]] or [WxH][+x+y]
    Adjust where the output is on the screen initially. The x and y specifications are in pixels measured from the top-left of the screen to the top-left of the image being displayed, however if a percentage sign is given after the argument it turns the value into a percentage of the screen size in that direction. It also supports the standard X11 -geometry option format.
    NOTE: This option is only supported by the x11, xmga, xv, xvmc, xvidix, directx and tdfxfb video output drivers.

    EXAMPLE: Places the window at x=50, y=40. Places the window in the middle of the screen. Places the window at the middle of the right edge of the screen. Places the window at the bottom right corner of the screen.

-guiwid <window ID> (also see -wid) (GUI only)
    This tells the GUI to also use an X11 window and stick itself to the bottom of the video, which is useful to embed a mini-GUI in a browser (with the MPlayer plugin for instance).

-hue <-100-100>
    Adjust the hue of the video signal (default: 0). You can get a colored negative of the image with this option. Not supported by all video output drivers.

-monitor-dotclock <range[,range,...]> (-vo fbdev and vesa only)
    Specify the dotclock or pixelclock range of the monitor.

-monitor-hfreq <range[,range,...]> (-vo fbdev and vesa only)
    Specify the horizontal frequency range of the monitor.

-monitor-vfreq <range[,range,...]> (-vo fbdev and vesa only)
    Specify the vertical frequency range of the monitor.

-monitoraspect <ratio> (also see -aspect)
    Set the aspect ratio of your monitor or TV screen.

    EXAMPLE: -monitoraspect 4:3 or 1.3333
    -monitoraspect 16:9 or 1.7777

-nograbpointer
    Do not grab the mouse pointer after a video mode change (-vm). Useful for multihead setups.

-nokeepaspect
    Do not keep window aspect ratio when resizing windows. Only works with the x11, xv, xmga, xvidix, directx video output drivers. Furthermore under X11 your window manager has to honor window aspect hints.

-noxv (-vo sdl only)
    Disables using XVideo through the sdl video output driver.

-ontop
    Makes the player window stay on top of other windows. Supported by video output drivers which use X11, except SDL, as well as directx and gl2.

-panscan <0.0-1.0>
    Enables pan-and-scan functionality (cropping the sides of e.g. a 16:9 movie to make it fit a 4:3 display without black bands). The range controls how much of the image is cropped. Only works with the xv, xmga, mga, gl and xvidix video output drivers.

-refreshrate <Hz>
    Set the monitor refreshrate in Hz. Currently only supported by -vo directx combined with the -vm option.

-rootwin
    Play movie in the root window (desktop background). Desktop background images may cover the movie window, though. Only works with the x11, xv, xmga, xvidix, quartz and directx video output drivers.

-saturation <-100-100>
    Adjust the saturation of the video signal (default: 0). You can get grayscale output with this option. Not supported by all video output drivers.

-screenh <pixels>
    Specify the vertical screen resolution for video output drivers which do not know the screen resolution like fbdev, x11 and TVout.

-screenw <pixels>
    Specify the horizontal screen resolution for video output drivers which do not know the screen resolution like fbdev, x11 and TVout.

-stop-xscreensaver (X11 only)
    Turns off xscreensaver at startup and turns it on again on exit.

-vm Try to change to a different video mode. Supported by the dga, x11, xv, sdl and directx video output drivers. If used with the directx video output driver the -screenw, -screenh, -bpp and -refreshrate options can be used to set the new display mode.

-vsync
    Enables VBI for the vesa, dfbmga and svga video output drivers.

-wid <window ID> (also see -guiwid) (X11 only)
    This tells MPlayer to attach to an existing X11 window. Useful to embed MPlayer in a browser (e.g. the plugger extension).

-xineramascreen <0-...>
    In Xinerama configurations (i.e. a single desktop that spans across multiple displays) this option tells MPlayer which screen to display movie on.

-z <0-9> (-vo png only)
    Specifies the compression level of the png video output driver. 0 is no compression, 9 is the maximum compression.

-zrbw (-vo zr only)
    Display in black and white. For optimal performance, this can be combined with '-lavdopts gray'.

-zrcrop <[width]x[height]+[x offset]+[y offset]> (-vo zr only)
    Select a part of the input image to display, multiple occurences of this option switch on cinerama mode. In cinerama mode the movie is distributed over more than one TV (or beamer) to create a larger image. Options appearing after the n-th -zrcrop apply to the n-th MJPEG card, each card should at least have a -zrdev in addition to the -zrcrop. For examples, see the output of -zrhelp and the Zr section of the documentation.

-zrdev <device> (-vo zr only)
    Specify the device special file that belongs to your MJPEG card, by default the zr video output driver takes the first v4l device it can find.

-zrfd (-vo zr only)
    Force decimation: Decimation, as specified by -zrhdec and -zrvdec, only happens if the hardware scaler can stretch the image to its original size. Use this option to force decimation.

-zrhdec <1,2,4> (-vo zr only)
    Horizontal decimation: Ask the driver to send only every 2nd or 4th line/pixel of the input image to the MJPEG card and use the scaler of the MJPEG card to stretch the image to its original size.

-zrhelp (-vo zr only)
    Display a list of all -zr* options, their default values and a cinerama mode example.

-zrnorm <norm> (-vo zr only)
    Specify the TV norm as PAL or NTSC (default: no change).

-zrquality <1-20> (-vo zr only)
    A number from 1 (best) to 20 (worst) representing the JPEG encoding quality.

-zrvdec <1,2,4> (-vo zr only)
    Vertical decimation: Ask the driver to send only every 2nd or 4th line/pixel of the input image to the MJPEG card and use the scaler of the MJPEG card to stretch the image to its original size.

-zrxdoff <x display offset> (-vo zr only)
    If the movie is smaller than the TV screen, this option specifies the x offset from the upper-left corner of the TV screen (default: centered).

-zrydoff <y display offset> (-vo zr only)
    If the movie is smaller than the TV screen, this option specifies the y offset from the upper-left corner of the TV screen (default: centered).

VIDEO OUTPUT DRIVERS (MPLAYER ONLY)
Video output drivers are interfaces to different video output facilities. The syntax is:

-vo <driver1[:suboption1[=value]:...],driver2,...[,]>
    Specify a priority list of video output drivers to be used.

If the list has a trailing ',' MPlayer will fall back on drivers not contained in the list. Suboptions are optional and can mostly be omitted.
NOTE: See -vo help for a list of compiled-in video output drivers.

EXAMPLE: Try the Matrox X11 driver, then the Xv driver, then others. Uses the DirectX driver with acceleration features turned off.

Available video output drivers are:

xv (X11 only)
    Uses the XVideo extension of XFree86 4.x to enable hardware accelerated playback. If you cannot use a hardware specific driver, this is probably the best option. Select a specific XVideo port.

x11 (X11 only)
    Shared memory video output driver without hardware acceleration that works whenever X11 is present.

xover (X11 only)
    Adds X11 support to all overlay based video output drivers. Currently only supported by tdfx_vid. Select the driver to use as source to overlay on top of X11.

xvmc (X11 with -vc ffmpeg12mc only)
    Video output driver that uses the XvMC (X Video Motion Compensation) extension of XFree86 4.x to speed up MPEG1/2 and VCR2 decoding. Disables image display. Necessary for proper benchmarking of drivers that change image buffers on monitor retrace only (nVidia). Queue frames for display to allow more parallel work of the video hardware. May add a small (not noticeable) constant A/V desync. Use sleep function while waiting for rendering to finish (not recomended on Linux). Do not use sleep function while waiting for rendering to finish (default).

dga (X11 only)
    Play video through the XFree86 Direct Graphics Access extension. Considered obsolete.

sdl (also see -forcexv, -noxv) (SDL only)
    Highly platform independent SDL (Simple Directmedia Layer) library video output driver. Since SDL uses its own X11 layer, MPlayer X11 options do not have any effect on SDL. Explicitly choose the SDL driver to use.

vidix
    VIDIX (VIDeo Interface for *niX) is an interface to the video acceleration features of different graphics cards. Very fast video output driver on cards that support it. Explicitly choose the VIDIX subdevice driver to use. Available subdevice drivers are cyberblade_vid, mach64_vid, mga_crtc2_vid, mga_vid, nvidia_vid, pm3_vid, radeon_vid, rage128_vid and sis_vid.

xvidix (X11 only)
    X11 frontend for VIDIX same as vidix

cvidix
    Generic and platform independent VIDIX frontend, can even run in a textconsole with nVidia cards. same as vidix

winvidix (Windows only)
    Windows frontend for VIDIX same as vidix

directx (Windows only)
    Video output driver that uses the DirectX interface. Turns off hardware acceleration. Try this option if you have display problems.

quartz (Mac OS X only)
    Mac OS X Quartz video output driver. Under some circumstances, it might be more efficient to force a packed YUV output format, with e.g. -vf format=yuy2. Choose the display device to use in fullscreen.

fbdev (Linux only)
    Uses the kernel framebuffer to play video. Explicitly choose the fbdev device name to use (e.g. /dev/fb0) or the name of the VIDIX subdevice if the device name starts with 'vidix' (e.g. 'vidixsis_vid' for the sis driver).

fbdev2 (Linux only)
    Uses the kernel framebuffer to play video, alternative implementation. Explicitly choose the fbdev device name to use (default: /dev/fb0).

vesa
    Very general video output driver that should work on any VESA VBE 2.0 compatible card. Turns on DGA mode. Turns off DGA mode. Activate the NeoMagic TV out and set it to PAL norm. Activate the NeoMagic TV out and set it to NTSC norm. Use the VIDIX driver. Activate the Linux Video Overlay on top of VESA mode.

svga
    Play video using the SVGA library. Specify video mode to use. The mode can be given in a <width>x<height>x<colors> format, e.g. 640x480x16M or be a graphics mode number, e.g. 84. Draw OSD into black bands below the movie (slower). Use only native drawing functions. This avoids direct rendering, OSD and hardware acceleration. Force frame switch on vertical retrace. Usable only with -double. It has the same effect as the -vsync option. Try to select a video mode with square pixels. Use svga with VIDIX.

gl  OpenGL video output driver. Simple version, video size must be smaller than the maximum texture size of your OpenGL implementation. Intended to work even with the most simple OpenGL implementations. Enables support for more (RGB and BGR) color formats. Needs OpenGL version >= 1.2. Number of lines copied to texture in one piece (default: 4). 0 for whole image. Enable or disable support for OSD rendering via OpenGL (default: enabled). Mostly for testing, you should use -osdlevel 0 to disable OSD. Changes the way the OSD behaves when the size of the window changes (default: disabled). When enabled behaves more like the other video output drivers, which is better for fixed-size fonts. Disabled looks much better with FreeType fonts and uses the borders in fullscreen mode. Enable or disable aspect scaling and pan-and-scan support (default: enabled). Disabling might increase speed.

gl2 OpenGL video output driver, second generation. Supports OSD and videos larger than the maximum texture size.

null
    Produces no video output. Useful for benchmarking.

aa (also see -aa*)
    ASCII art video output driver that works on a text console.

caca
    Color ASCII art video output driver that works on a text console.

bl  Video playback using the Blinkenlights UDP protocol. This driver is highly hardware specific. Explicitly choose the Blinkenlights subdevice driver to use. It's something like arcade:host=localhost:2323 or hdl:file=name1,file=name2. You must specify a subdevice.

ggi GGI graphics system video output driver Explicitly choose the GGI driver to use.

directfb
    Play video using the DirectFB library. Use the DirectFB instead of the MPlayer keyboard code (default: enabled). Double and triple buffering give best results if you want to avoid tearing issues. Triple buffering is more efficent than double buffering as it doesn't block MPlayer while waiting for the vertical retrace. Single buffering should be avoided (default: single). Control the output order for interlaced frames (default: disabled). Valid values are top = top fields first, bottom = bottom fields first. This option doesn't have any effect on progressive film material like most MPEG movies are. You need to enable this option if you have tearing issues/unsmooth motions watching interlaced film material. Will force layer with ID N for playback (default: -1 - auto).

dfbmga
    Matrox G400/G450/G550 specific video output driver that uses the DirectFB library to make use of special hardware features. Enables CRTC2 (second head), displaying video independently of the first head. Enable the use of the Matrox BES (backend scaler) (default: disabled). Gives very good results concerning speed and output quality as interpolated picture processing is done in hardware. Works only on the primary head. Make use of the Matrox sub picture layer to display the OSD (default: enabled). Turn on TV-out on the second head (default: enabled). The output quality is amazing as it's a full interlaced picture with proper sync to every odd/even field. Use the DirectFB instead of the MPlayer keyboard code (default: disabled). Double and triple buffering give best results if you want to avoid tearing issues. Triple buffering is more efficent than double buffering as it doesn't block MPlayer while waiting for the vertical retrace. Single buffering should be avoided (default: triple). Control the output order for interlaced frames (default: disabled). Valid values are top = top fields first, bottom = bottom fields first. This option doesn't have any effect on progressive film material like most MPEG movies are. You need to enable this option if you have tearing issues/unsmooth motions watching interlaced film material. Will set the TV norm of the Matrox card without the need for modifying /etc/directfbrc (default: disabled). Valid norms are pal = PAL, ntsc = NTSC. Special norm is auto (auto-adjust using PAL/NTSC) because it decides which norm to use by looking at the framerate of the movie.

mga (Linux only)
    Matrox specific video output driver that makes use of the YUV back end scaler on Gxxx cards through a kernel module. If you have a Matrox card, this is the fastest option. Explicitly choose the Matrox device name to use (default: /dev/mga_vid).

xmga (Linux, X11 only)
    The mga video output driver, running in an X11 window. Explicitly choose the Matrox device name to use (default: /dev/mga_vid).

syncfb
    Video output driver for the SyncFB kernel module, which provides special hardware features of Matrox Gxxx cards like hardware deinterlacing, scaling and synchronizing your video output to the vertical retrace of your monitor.

3dfx (Linux only)
    3Dfx specific video output driver. This driver directly uses the 3Dfx hardware on top of X11. Only 16 bpp are supported. FIXME: It' ok the difference between 3dfx, tdfxfb and tdfx_vid?

tdfxfb (Linux only)
    This driver employs the tdfx framebuffer driver to play movies with YUV acceleration on 3Dfx cards. FIXME: It' ok the difference between 3dfx, tdfxfb and tdfx_vid? Explicitly choose the fbdev device name to use (default: /dev/fb0).

tdfx_vid (Linux only)
    3Dfx specific video output driver. This driver directly uses the tdfx_vid kernel module. FIXME: It' ok the difference between 3dfx, tdfxfb and tdfx_vid? Explicitly choose the device name to use (default: /dev/tdfx_vid).

dxr2 (also see -dxr2) (DXR2 only)
    Creative DXR2 specific video output driver. Output video subdriver to use as overlay (x11, xv).

dxr3 (DXR3 only)
    Sigma Designs em8300 MPEG decoder chip (Creative DXR3, Sigma Designs Hollywood Plus) specific video output driver. Also see the lavc video filter. Activates the overlay instead of TVOut. Turns on prebuffering. Will turn on the new sync-engine. Specifies the TV norm. 0: Does not change current norm (default).
    1: Auto-adjust using PAL/NTSC.
    2: Auto-adjust using PAL/PAL-60.
    3: PAL
    4: PAL-60
    5: NTSC Specifies the device number to use if you have more than one em8300 card.

mpegpes (DVB only)
    Video output driver for DVB cards that writes the output to an MPEG-PES file if no DVB card is installed. Specifies the device number to use if you have more than one DVB output card (V3 API only, such as 1.x.y series drivers). Allows specifying the output filename (default: ./grab.mpg).

zr (also see -zr* and -zrhelp)
    Video output driver for a number of MJPEG capture/playback cards.

zr2 (also see the zrmjpeg video filter)
    Video output driver for a number of MJPEG capture/playback cards, second generation. Specifies the device to use. Activate PAL video norm. Activate SECAM video norm. Activate NTSC video norm. Activate prebuffering, not yet supported.

md5sum
    Calculate MD5 sums of each frame and write them to a file. Supports RGB24 and YV12 colorspaces. Useful for debugging. Specify the output filename (default: ./md5sums).

yuv4mpeg
    Transforms the video stream into a sequence of uncompressed YUV 4:2:0 images and stores it in a file called 'stream.yuv' in the current directory. The format is the same as the one employed by mjpegtools, so this is useful if you want to process the video with the mjpegtools suite. It supports the YV12, RGB (24 bpp) and BGR (24 bpp) format. Write the output as interlaced frames, top field first. Write the output as interlaced frames, bottom field first.

    NOTE: If you don't specify any option the output is progressive (i.e. not interlaced).

gif89a
    Output each frame into a single animated GIF file in the current directory. It supports only RGB format with 24 bpp and the output is converted to 256 colors. Float value to specify framerate (default: 5.0). Specify the output filename (default: ./out.gif).

    NOTE: You must specify the framerate before the filename or the framerate will be part of the filename.

    EXAMPLE:
mplayer video.nut -vo gif89a:15.0:test.gif

jpeg
    Output each frame into a JPEG file in the current directory. Each file takes the frame number padded with leading zeros as name. Specify standard or progressive JPEG (default: noprogressive). Specify use of baseline or not (default: baseline). optimization factor (default: 100) smooth factor (default: 0) quality factor (default: 75) Specify the directory to save the JPEG files to (default: ./). Create numbered subdirectories with the specified prefix to save the files in instead of the current directory. Maximum number of files to be saved per subdirectory. Must be equal to or larger than 1 (default: 1000).

pnm Output each frame into a PNM file in the current directory. Each file takes the frame number padded with leading zeros as name. It supports PPM, PGM and PGMYUV files in both raw and ASCII mode. Also see pnm(5), ppm(5) and pgm(5). Write PPM files (default). Write PGM files. Write PGMYUV files. PGMYUV is like PGM, but it also contains the U and V plane, appended at the bottom of the picture. Write PNM files in raw mode (default). Write PNM files in ASCII mode. Specify the directory to save the PNM files to (default: ./). Create numbered subdirectories with the specified prefix to save the files in instead of the current directory. Maximum number of files to be saved per subdirectory. Must be equal to or larger than 1 (default: 1000).

png (also see -z)
    Output each frame into a PNG file in the current directory. Each file takes the frame number padded with leading zeros as name. 24bpp RGB and BGR formats are supported.

tga Output each frame into a Targa file in the current directory. Each file takes the frame number padded with leading zeros as name. The purpose of this video output driver is to have a simple lossless image writer to use without any external library. It supports the BGR[A] color format, with 15, 24 and 32 bpp. You can force a particular format with the format video filter.

    EXAMPLE:
mplayer video.nut -vf format=bgr15 -vo tga

DECODING/FILTERING OPTIONS

-ac <[-]codec1,[-]codec2,...[,]>
    Specify a priority list of audio codecs to be used, according to their codec name in codecs.conf. Use a '-' before the codec name to omit it. If the list has a trailing ',' MPlayer will fall back on codecs not contained in the list.
    NOTE: See -ac help for a full list of available codecs.

    EXAMPLE: Force the l3codeca.acm MP3 codec. Try libmad first, then fall back on others. Try hardware AC3 passthrough, software AC3, then others. Skip FFmpeg's MP3 decoder.

-af <filter1[=parameter1:parameter2:...],filter2,...>
    Activate a comma separated list of audio filters and their options. Also see the audio filters section of the documentation.
    NOTE: To get a full list of available audio filters, see -af help.

    Available filters are: Changes the sample rate of the audio stream to an integer srate in Hz. It only supports the 16-bit little-endian format. With MEncoder, you need to also use -srate <srate>. Change the number of channels to nch output channels. If the number of output channels is bigger than the number of input channels empty channels are inserted (except when mixing from mono to stereo, then the mono channel is repeated in both of the output channels). If the number of output channels is smaller than the number of input channels the exceeding channels are truncated. Select the bytes per sample and the format used for output from the filter layer. The option bps is an integer and denotes Bytes per sample. The format f is a string containing a concatenated mix of:
    alaw, mulaw or imaadpcm
    float or int
    unsigned or signed
    le or be (little- or big-endian)
    Select the output volume level. This filter is not reentrant and can therefore only be enabled once for every audio stream. v: Sets the desired gain in dB for all channels in the stream from -200dB to +60dB (where -200dB mutes the sound completely and +60dB equals a gain of 1000).
    sc: Enable soft clipping. Mixes channels arbitrarily, see DOCS/HTML/en/audio.html for details. n: number of input channels (1-6)
    lij: How much of input channel j is mixed into output channel i. Add subwoofer channel. fc: cutoff frequency for low-pass filter (20Hz to 300Hz) (default: 60Hz)
    ch: channel number for the sub-channel Decoder for matrix encoded surround sound, works on many 2 channel files. d: delay time in ms for the rear speakers (0ms to 1000ms) (default: 15ms) Delays the sound output. Specify the delay separately for each channel in milliseconds (floating point number between 0 and 1000). Exports the incoming signal to other processes using memory mapping (mmap()). mmapped_file: file to map data to (default: ~/.mplayer/mplayer-af_export)
    nsamples: number of samples per channel (default: 512) Increases the difference between left and right channels to add some sort of "live" effect to playback. mul: difference coefficient (default: 2.5) Maximizes the volume without distorting the sound.

-af-adv <force=(0-3):list=(filters)> (also see -af)
    Specify advanced audio filter options: Forces the insertion of audio filters to one of the following: 0: completely automatic filter insertion (default)
    1: Optimize for accuracy.
    2: Optimize for speed.
    3: Turn off automatic filter insertion. Same as -af.

-afm <driver1,driver2,...>
    Specify a priority list of audio codec families to be used, according to their codec name in codecs.conf. Falls back on the default codecs if none of the given codec families work.
    NOTE: See -afm help for a full list of available codec families.

    EXAMPLE: Try FFmpeg's libavcodec codecs first. Try Win32 codecs first.

-aspect <ratio>
    Override movie aspect ratio. It is autodetected for MPEG files, but it cannot be done for most AVI files.

    EXAMPLE: -aspect 4:3 or -aspect 1.3333
    -aspect 16:9 or -aspect 1.7777

-noaspect
    Disable automatic movie aspect ratio compensation.

-flip
    Flip image upside-down.

-lavdopts <option1:option2:...> (DEBUG CODE)
    Specify libavcodec decoding parameters.

    EXAMPLE: -lavdopts bug=1

    Available options are:
Manually work around encoder bugs: 0: nothing
1: autodetect bugs (default)
2 (msmpeg4v3): some old lavc generated msmpeg4v3 files (no autodetection)
4 (mpeg4): XviD interlacing bug (autodetected if fourcc==XVIX)
8 (mpeg4): UMP4 (autodetected if fourcc==UMP4)
16 (mpeg4): padding bug (autodetected)
32 (mpeg4): illegal vlc bug (autodetected per fourcc)
64 (mpeg4): XviD and DivX qpel bug (autodetected per fourcc/version)
128 (mpeg4): old standard qpel (autodetected per fourcc/version)
256 (mpeg4): another qpel bug (autodetected per fourcc/version)
512 (mpeg4): direct-qpel-blocksize bug (autodetected per fourcc/version)
1024 (mpeg4): edge padding bug (autodetected per fourcc/version) debug:
0: disabled
1: picture info
2: rate control
4: bitstream
8: macroblock (MB) type
16: quantization parameter (QP)
32: motion vector
0x0040: motion vector visualization (use -noslices)
0x0080: macroblock (MB) skip
0x0100: startcode
0x0200: PTS
0x0400: error resilience
0x0800: memory management control operations (H.264)
0x1000: bugs error concealment: 1: Use strong deblock filter for damaged MBs.
2: iterative motion vector (MV) search (slow)
3: all (default) error resilience:
0: disabled
1: careful (Should work with broken encoders.)
2: normal (default) (Works with compliant encoders.)
3: aggressive (More checks, but might cause problems even for valid bitstreams.)
4: very aggressive Enable optimizations which do not comply to the specification and might potentially cause problems, like simpler dequantization, assuming use of the default quantization matrix, assuming YUV 4:2:0 and skipping a few checks to detect damaged bitstreams. grayscale only decoding (a bit faster than with color) For best decoding quality use the same IDCT algorithm for decoding and encoding. This may come at a price in accuracy, though. Decode at lower resolutions. Low resolution decoding is not supported by all codecs, and it will often result in ugly artifacts. This is not a bug, but a side effect of not decoding at full resolution.
0: disabled
1: 1/2 resolution
2: 1/4 resolution
3: 1/8 resolution Skip the given number of macroblock rows at the bottom. Skip the given number of macroblock rows at the top. vismv:
0: disabled
1: Visualize forward predicted MVs of P-frames.
2: Visualize forward predicted MVs of B-frames.
4: Visualize backward predicted MVs of B-frames. Prints some statistics and stores them in ./vstats_*.log.

-noslices
    Disable drawing video by 16-pixel height slices/bands, instead draws the whole frame in a single run. May be faster or slower, depending on card/cache. It has effect only with libmpeg2 and libavcodec codecs.

-nosound
    Do not play/encode sound. Useful for benchmarking.

-novideo
    Do not play/encode video.

-oldpp <quality> (OpenDivX only) (OBSOLETE)
    Use the opendivx postprocessing code instead of the internal one. Superseded by -pp, the internal postprocessing offers better quality and performance. The valid range of -oldpp values varies by codec, it is mostly 0-6, where 0=disable, 6=slowest/best.

-pp <quality> (also see -vf pp)
    Set the DLL postprocess level. This option is no longer usable with -vf pp. It only works with Win32 DirectShow DLLs with internal postprocessing routines. The valid range of -pp values varies by codec, it is mostly 0-6, where 0=disable, 6=slowest/best.

-pphelp (also see -vf pp)
    Show a summary about the available postprocess filters and their usage.

-ssf <mode>
    Specifies software scaler parameters.

    EXAMPLE: -vf scale -ssf lgb=3.0
gaussian blur filter (luma) gaussian blur filter (chroma) sharpen filter (luma) sharpen filter (chroma) chroma horizontal shifting chroma vertical shifting

-stereo <mode>
    Select type of MP2/MP3 stereo output. stereo left channel right channel

-sws <software scaler type> (also see -vf scale and -zoom)
    Specify the software scaler algorithm to be used with the -zoom option. This affects video output drivers which lack hardware acceleration, e.g. x11.

    Available types are:

    fast bilinear bilinear bicubic (good quality) (default) experimental nearest neighbour (bad quality) area luma bicubic / chroma bilinear gauss sincR lanczos natural bicubic spline

    NOTE: For -sws 2 and 7, sharpness can be set with the scaling parameter of -vf scale (0 (soft) - 100 (sharp)), for -sws 9, the scaling parameter specifies the filter length (1 - 10).

-vc <[-]codec1,[-]codec2,...[,]>
    Specify a priority list of video codecs to be used, according to their codec name in codecs.conf. Use a '-' before the codec name to omit it. If the list has a trailing ',' MPlayer will fall back on codecs not contained in the list.
    NOTE: See -vc help for a full list of available codecs.

    EXAMPLE: Force Win32/VFW DivX codec, no fallback. Try divx4linux codec first, then fall back on others. Skip Win32 DivX codecs. Try libavcodec's MPEG1/2 codec, then libmpeg2, then others.

-vfm <driver1,driver2,...>
    Specify a priority list of video codec families to be used, according to their names in codecs.conf. Falls back on the default codecs if none of the given codec families work.
    NOTE: See -vfm help for a full list of available codec families.

    EXAMPLE: Try the libavcodec, then Directshow, then VfW codecs and fall back on others, if they do not work. Try XAnim codecs first.

-x <x> (MPlayer only)
    Scale image to width <x> (if software/hardware scaling is available). Disables aspect calculations.

-xvidopts <option1:option2:...>
    Specify additional parameters when decoding with XviD.
    NOTE: Since libavcodec is faster than XviD you might want to use the libavcodec postprocessing filter (-vf pp) and decoder (-vfm ffmpeg) instead.

    XviD's internal postprocessing filters: chroma deblock filter luma deblock filter luma deringing filter chroma deringing filter Adds artificial film grain to the video. May increase perceived quality, while lowering true quality.

    rendering methods:
Activate direct rendering method 2. Deactivate direct rendering method 2.

-xy <value>
    Scale image by factor <value>. Set width to value and calculate height to keep correct aspect ratio.

-y <y> (MPlayer only)
    Scale image to height <y> (if software/hardware scaling is available). Disables aspect calculations.

-zoom
    Allow software scaling, where available. Can be used to force scaling with -vf scale.
    NOTE: -vf scale will ignore -x / -y / -xy / -fs / -aspect without -zoom.

VIDEO FILTERS
Video filters allow you to modify the video stream and its properties. The syntax is:

-vf <filter1[=parameter1:parameter2:...],filter2,...>
    Setup a chain of video filters.

-vop <...,filter2[=parameter1:parameter2:...],filter1> (OBSOLETE)
    Setup a chain of video filters, to be applied in reverse order. Deprecated in favor of -vf.

Many parameters are optional and set to default values if omitted. To explicitly use a default value set a parameter to '-1'. Parameters w:h means width x height in pixels, x:y means x;y position counted from the upper left corner of the bigger image.
NOTE: To get a full list of available video filters, see -vf help.

Filters are managed in lists. There are a few commands to manage the filter list.

-vf-add <filter1[,filter2,...]>
    Appends the filters given as arguments to the filter list.

-vf-pre <filter1[,filter2,...]>
    Prepends the filters given as arguments to the filter list.

-vf-del <index1[,index2,...]>
    Deletes the filters at the given indexes. Index numbers start at 0, negative numbers address the end of the list (-1 is the last).

-vf-clr
    Completely empties the filter list.

With filters that support it, you can access parameters by their name.

-vf <filter>=help
    Prints the parameter names and parameter value ranges for a particular filter.

-vf <filter=named_parameter1=value1[:named_parameter2=value2:...]>
    Sets a named parameter to the given value. Use on and off or yes and no to set flag parameters.

Available filters are:

crop[=w:h:x:y]
    Crops the given part of the image and discards the rest. Useful to remove black bands from widescreen movies. Cropped width and height, defaults to original width and height. Position of the cropped picture, defaults to center.

cropdetect[=limit:round]
    Calculates necessary cropping parameters and prints the recommended parameters to stdout. Threshold, which can be optionally specified from nothing (0) to everything (255) (default: 24).
    Value which the width/height should be divisible by (default: 16). The offset is automatically adjusted to center the video. Use 2 to get only even dimensions (needed for 4:2:2 video). 16 is best when encoding to most video codecs.

rectangle[=w:h:x:y]
    The plugin responds to the input.conf directive 'change_rectangle' that takes two parameters. width and height (default: -1, maximum possible width where boundaries are still visible.) top left corner position (default: -1, uppermost leftmost)

expand[=w:h:x:y:o]
    Expands (not scales) movie resolution to the given value and places the unscaled original at coordinates x, y. Can be used for placing subtitles/OSD in the resulting black bands. Expanded width,height (default: original width,height). Negative values for w and h are treated as offsets to the original size.

    EXAMPLE:
expand=0:-50:0:0
    Adds a 50 pixel border to the bottom of the picture.
position of original image on the expanded image (default: center) OSD/subtitle rendering 0: disable (default)
1: enable

flip (also see -flip)
    Flips the image upside down.

mirror
    Mirrors the image on the Y axis.

rotate[=<0-7>]
    Rotates and flips (optional) the image +/- 90 degrees. For parameters between 4-7 rotation is only done if the movie's geometry is portrait and not landscape.

scale[=w:h[:interlaced[:chr_drop[:param[:param2[:presize]]]]]]
    Scales the image with the software scaler (slow) and performs a YUV<->RGB colorspace conversion (also see -sws). scaled width/height (default: original width/height)
    NOTE: If -zoom is used, and underlying filters (including libvo) are incapable of scaling, it defaults to d_width/d_height!
     0: scaled d_width/d_height
    -1: original width/height
    -2: Calculate w/h using the other dimension and the prescaled aspect ratio.
    -3: Calculate w/h using the other dimension and the original aspect ratio. Toggle interlaced scaling. 0: off (default)
    1: on chroma skipping 0: Use all available input lines for chroma.
    1: Use only every 2. input line for chroma.
    2: Use only every 4. input line for chroma.
    3: Use only every 8. input line for chroma. Set some scaling parameters depending on the type of scaler selected with -sws. -sws 2 (bicubic): B (blurring) and C (ringing)
    0.00:0.60 default
    0.00:0.75 VirtualDubs "precise bicubic"
    0.00:0.50 Catmull-Rom spline
    0.33:0.33 Mitchell-Netravali spline
    1.00:0.00 cubic B-spline
    -sws 7 (gaussian): sharpness (0 (soft) - 100 (sharp))
    -sws 9 (lanczos): filter length (1-10) Scale to preset sizes. qntsc: 352x240 (NTSC quarter screen)
    qpal: 352x288 (PAL quarter screen)
    ntsc: 720x480 (standard NTSC)
    pal: 720x576 (standard PAL)
    sntsc: 640x480 (square pixel NTSC)
    spal: 768x576 (square pixel PAL)

dsize=[aspect|w:h]
    Changes the intended display size/aspect at an arbitrary point in the filter chain. Aspect can be given as a fraction (4/3) or floating point number (1.33). Alternatively, you may specify the exact display width and height desired. Note that this filter does NOT do any scaling itself; it just affects what later scalers (software or hardware) will do when auto-scaling to correct aspect.

yuy2
    Forces software YV12/I420/422P to YUY2 conversion. Useful for video cards/drivers with slow YV12 but fast YUY2 support.

yvu9
    Forces software YVU9 to YV12 colorspace conversion. Deprecated in favor of the software scaler.

yuvcsp
    Clamps YUV color values to the CCIR 601 range without doing real conversion.

rgb2bgr[=swap]
    RGB 24/32 <-> BGR 24/32 colorspace conversion. Also perform R <-> B swapping.

palette
    RGB/BGR 8 -> 15/16/24/32bpp colorspace conversion using palette.

format[=fourcc]
    Restricts the colorspace for the next filter without doing any conversion. Use together with the scale filter for a real conversion.
    NOTE: For a list of available formats see format=fmt=help. format name like rgb15, bgr24, yv12, etc (default: yuy2)

noformat[=fourcc]
    Restricts the colorspace for the next filter without doing any conversion. Unlike the format filter, this will allow any colorspace except the one you specify.
    NOTE: For a list of available formats see noformat=fmt=help. format name like rgb15, bgr24, yv12, etc (default: yv12)

pp[=filter1[:option1[:option2...]]/[-]filter2...] (also see -pphelp)
    Enables the specified chain of postprocessing subfilters. Subfilters must be separated by '/' and can be disabled by prepending a '-'. A subfilter's scope can be determined by appending a ':' followed by 'a', 'c' or 'y' (default: c): Automatically switch the subfilter off if the CPU is too slow. Do chrominance filtering, too. Do luminance filtering only (no chrominance).

    NOTE: -pphelp shows a list of available subfilters.

    EXAMPLE:
horizontal and vertical deblocking, deringing and automatic brightness/contrast horizontal and vertical deblocking, deringing, automatic brightness/contrast and linear blend deinterlacer default filters without brightness/contrast correction Enable default filters & temporal denoiser. Horizontal deblocking on luminance only, and switch vertical deblocking on or off automatically depending on available CPU time.

spp[=quality[:qp[:mode]]]
    simple postprocessing filter 0-6 (default: 3) Force quantization parameter (default: 0, use QP from video). 0: hard thresholding (default)
    1: soft thresholding (better deringing, but blurrier)

qp=equation
    quantization parameter (QP) change filter some equation like "2+2*sin(PI*qp)"

test
    Generate various test patterns.

rgbtest
    Generate an RGB test pattern useful for detecting RGB vs BGR issues. You should see a red, green and blue stripe from top to bottom.

lavc[=quality:fps]
    Fast software YV12 to MPEG1 conversion with libavcodec for use with DVB/DXR3. Faster and of better quality than -vf fame. 1-31: fixed qscale
    32-: fixed bitrate in kBits force output fps (float value) (default: 0, autodetect based on height)

fame
    Fast software YV12 to MPEG1 conversion with libfame for use with DVB/DXR3.

dvbscale[=aspect]
    Set up optimal scaling for DVB cards, scaling the x axis in hardware and calculating the y axis scaling in software to keep aspect. Only useful together with expand and scale. Control aspect ratio, calculate as DVB_HEIGHT*ASPECTRATIO (default: 576*4/3=768), set it to 576*(16/9)=1024 for a 16:9 TV.

    EXAMPLE:
FIXME: Explain what this does.

noise[=luma[u][t|a][h][p]:chroma[u][t|a][h][p]]
    Adds noise. luma noise chroma noise uniform noise (gaussian otherwise) temporal noise (noise pattern changes between frames) averaged temporal noise (smoother, but a lot slower) high quality (slightly better looking, slightly slower) mix random noise with a (semi)regular pattern

denoise3d[=luma:chroma:time]
    This filter aims to reduce image noise producing smooth images and making still images really still (This should enhance compressibility.). spatial luma strength (default: 4) spatial chroma strength (default: 3) temporal strength (default: 6)

hqdn3d[=luma:chroma:time]
    High precision/quality version of the denoise3d filter. Parameters and usage are the same.

eq[=brightness:contrast] (OBSOLETE)
    Software equalizer with interactive controls just like the hardware equalizer, for cards/drivers that do not support brightness and contrast controls in hardware. Initial values in the range -100 - 100 may be given on the command line. Might also be useful with MEncoder, either for fixing poorly captured movies, or for slightly reducing contrast to mask artifacts and get by with lower bitrates.

eq2[=gamma:contrast:brightness:saturation:rg:gg:bg:weight]
    Alternative software equalizer that uses lookup tables (very slow), allowing gamma correction in addition to simple brightness and contrast adjustment. Note that it uses the same MMX optimized code as -vf eq if all gamma values are 1.0. The parameters are given as floating point values. Parameters rg, gg, bg are the independent gamma values for the red, green and blue components. The weight parameter can be used to reduce the effect of a high gamma value on bright image areas, e.g. keep them from getting overamplified and just plain white. A value of 0.0 turns the gamma correction all the way down while 1.0 leaves it at its full strength. Defaults are gamma=1.0, contrast=1.0, brightness=0.0, saturation=1.0, weight=1.0. Value ranges are 0.1-10 for gamma, -2-2 for contrast (negative values result in a negative image), -1-1 for brightness, 0-3 for saturation and 0-1 for weight.

hue[=hue:saturation]
    Defaults are hue=0.0, saturation=1.0. Value ranges are -180-180 for hue, -2-2 for saturation (negative values result in a negative chroma).

halfpack[=f]
    Convert planar YUV 4:2:0 to half-height packed 4:2:2, downsampling luma but keeping all chroma samples. Useful for output to low-resolution display devices when hardware downscaling is poor quality or is not available. Can also be used as a primitive luma-only deinterlacer with very low CPU usage. By default, halfpack averages pairs of lines when downsampling. The optional parameter f can be 0 to only use even lines, or 1 to only use odd lines. Any other value for f gives the default (averaging) behavior.

ilpack[=mode]
    When interlaced video is stored in YUV 4:2:0 formats, chroma interlacing does not line up properly due to vertical downsampling of the chroma channels. This filter packs the planar 4:2:0 data into YUY2 (4:2:2) format with the chroma lines in their proper locations, so that in any given scanline, the luma and chroma data both come from the same field. The optional argument selects the sampling mode. By default, linear interpolation (mode 1) is used. Mode 0 uses nearest-neighbor sampling, which is fast but incorrect.

harddup
    Only useful with MEncoder. If harddup is used when encoding, it will force duplicate frames to be encoded in the output. This uses slightly more space, but is necessary for output to MPEG files or if you plan to demux and remux the video stream after encoding. Should be placed at or near the end of the filter chain unless you have a good reason to do otherwise.

softskip
    Only useful with MEncoder. Softskip moves the frame skipping (dropping) step of encoding from before the filter chain to some point during the filter chain. This allows filters which need to see all frames (inverse telecine, temporal denoising, etc.) to function properly. Should be placed after the filters which need to see all frames and before any subsequent filters that are CPU-intensive.

decimate[=max:hi:lo:frac]
    Drops frames that do not differ greatly from the previous frame in order to reduce framerate. The argument max (if positive) sets the maximum number of consecutive frames which can be dropped, or (if negative) the minimum interval between dropped frames. A frame is a candidate for dropping if no 8x8 region differs by more than a threshold of hi, and if not more than frac portion (1 meaning the whole image) differs by more than a threshold of lo. Values of hi and lo are for 8x8 pixel blocks and represent actual pixel value differences, so a threshold of 64 corresponds to 1 unit of difference for each pixel, or the same spread out differently over the block. The main use of this filter is for very-low-bitrate encoding (e.g. streaming over dialup modem), but it could in theory be used for fixing movies that were inverse-telecined incorrectly.

dint[=sense:level]
    Detects and drops the first from a set of interlaced video frames. Values can be from 0.0 to 1.0 - first (default 0.1) is relative difference between neighbor pixels, second (default 0.15) is what part of image has to be detected as interlaced to drop the frame.

lavcdeint
    libavcodec deinterlacing filter

kerndeint[=thresh[:map[:order[:sharp[:twoway]]]]]
    Donald Graft's adaptive kernel deinterlacer. Deinterlaces parts of a video if a configurable threshold is exceeded. Threshold (default 10). Paint pixels which exceed the threshold white (default: 0). Swap fields if 1 (default: 0). Enable additional sharpening (default: 0). Enable twoway sharpening (default: 0).

unsharp=l|cWxH:amount[:l|cWxH:amount]
    unsharp mask / gaussian blur Apply effect on luma component. Apply effect on chroma components. width and height of the matrix, odd sized in both directions (min = 3x3, max = 13x11 or 11x13, usually something between 3x3 and 7x7) Relative amount of sharpness/blur to add to the image (a sane range should be -1.5-1.5). <0: blur
    >0: sharpen

swapuv
    Swap U & V plane.

il=[d|i][s][:[d|i][s]]
    (De)interleaves lines. The goal of this filter is to add the ability to process interlaced images pre-field without deinterlacing them. You can filter your interlaced DVD and play it on a TV without breaking the interlacing. While deinterlacing (with the postprocessing filter) removes interlacing permanently (by smoothing, averaging, etc) deinterleaving splits the frame into 2 fields (so called half pictures), so you can process (filter) them independently and then re-interleave them. deinterleave (placing one above the other) interleave swap fields (exchange even & odd lines)

fil=[i|d]
    (De)interleaves lines. This filter is very similar to the il filter but much faster, the main disadvantage is that it does not always work. Especially if combined with other filters it may produce randomly messed up images, so be happy if it works but don't complain if it doesn't for your combination of filters. Deinterleave fields, placing them side by side. Interleave fields again (reversing the effect of fil=d).

field[=n]
    Extracts a single field from an interlaced image using stride arithmetic to avoid wasting CPU time. The optional argument n specifies whether to extract the even or the odd field (depending on whether n is even or odd).

detc[=var1=value2:var2=value2:...]
    Attempts to reverse the 'telecine' process to recover a clean, non-interlaced stream at film framerate. This was the first and most primitive inverse telecine filter to be added to MPlayer/MEncoder. It works by latching onto the telecine 3:2 pattern and following it as long as possible. This makes it suitable for perfectly-telecined material, even in the presence of a fair degree of noise, but it will fail in the presence of complex post-telecine edits. Development on this filter is no longer taking place, as ivtc, pullup, and filmdint are better for most applications. The following arguments (see syntax above) may be used to control detc's behavior: Set the frame dropping mode. 0 (default) means don't drop frames to maintain fixed output framerate. 1 means always drop a frame when there have been no drops or telecine merges in the past 5 frames. 2 means always maintain exact 5:4 input to output frame ratio.
    NOTE: Use mode 1 or 2 with MEncoder. Analysis mode. Available values are 0 (fixed pattern with initial frame number specified by fr=#) and 1 (agressive search for telecine pattern). Default is 1. Set initial frame number in sequence. 0-2 are the three clean progressive frames; 3 and 4 are the two interlaced frames. The default, -1, means 'not in telecine sequence'. The number specified here is the type for the imaginary previous frame before the movie starts. Threshold values to be used in certain modes.

ivtc[=1]
    Experimental 'stateless' inverse telecine filter. Rather than trying to lock on to a pattern like the detc filter does, ivtc makes its decisions independently for each frame. This will give much better results for material that has undergone heavy editing after telecine was applied, but as a result it is not as forgiving of noisy input, for example TV capture. The optional parameter (ivtc=1) corresponds to the dr=1 option for the detc filter, and should be used with MEncoder but not with MPlayer. As with detc, you must specify the correct output framerate (-ofps 23.976) when using MEncoder. Further development on ivtc has stopped, as the pullup and filmdint filters appear to be much more accurate.

pullup[=jl:jr:jt:jb:sb:mp]
    Third-generation pulldown reversal (inverse telecine) filter, capable of handling mixed hard-telecine, 24 fps progressive, and 30 fps progressive content. The pullup filter is designed to be much more robust than detc or ivtc, by taking advantage of future context in making its decisions. Like ivtc, pullup is stateless in the sense that it does not lock onto a pattern to follow, but it instead looks forward to the following fields in order to identify matches and rebuild progressive frames. It is still under development, but believed to be quite accurate. The jl, jr, jt, and jb options set the amount of "junk" to ignore at the left, right, top, and bottom of the image, respectively. Left/right are in units of 8 pixels, while top/bottom are in units of 2 lines. The default is 8 pixels on each side. Setting the sb (strict breaks) option to 1 will reduce the chances of pullup generating an occasional mismatched frame, but it may also cause an excessive number of frames to be dropped during high motion sequences. Conversely, setting it to -1 will make pullup match fields more easily. This may help processing of video where there is slight blurring between the fields, but may also cause there to be interlaced frames in the output. The mp (metric plane) option may be set to 1 or 2 to use a chroma plane instead of the luma plane for doing pullup's computations. This may improve accuracy on very clean source material, but more likely will decrease accuracy, especially if there is chroma noise (rainbow effect) or any grayscale video. The main purpose of setting mp to a chroma plane is to reduce CPU load and make pullup usable in realtime on slow machines.
    NOTE: Always follow pullup with the softskip filter when encoding to ensure that pullup is able to see each frame. Failure to do so will lead to incorrect output and will usually crash, due to design limitations in the codec/filter layer.

filmdint[=options]
    Inverse telecine filter, similar to the pullup filter above. It is designed to handle any pulldown pattern, including mixed soft and hard telecine and limited support for movies that are slowed down or sped up from their original framerate for TV. Only the luma plane is used to find the frame breaks. If a field has no match, it is deinterlaced with simple linear approximation. If the source is MPEG-2, this must be the first filter to allow access to the field-flags set by the MPEG-2 decoder. Depending on the source MPEG, you may be fine ignoring this advice, as long as you do not see lots of "Bottom-first field" warnings. With no options it does normal inverse telecine, and should be used together with mencoder -fps 29.97 -ofps 23.976. When this filter is used with mplayer, it will result in an uneven framerate during playback, but it is still generally better than using pp=lb or no deinterlacing at all. Multiple options can be specified separated by /. Just like the crop filter, but faster, and works on mixed hard and soft telecined content as well as when y is not a multiple of 4. If x or y would require cropping fractional pixels from the chroma planes, the crop area is extended. This usually means that x and y must be even. For each ifps input frames the filter will output ofps frames. The ratio of ifps/ofps should match the -fps/-ofps ratio. This could be used to filter movies that are broadcast on TV at a frame rate different from their original framerate. If n is nonzero, the chroma plane is copied unchanged. This is useful for YV12 sampled TV, which discards one of the chroma fields. On x86, if n=1, use MMX2 optimized functions, if n=2, use 3DNow! optimized functions, othewise, use plain C. If this option is not specified, MMX2 and 3DNow! are auto-detected, use this option to override auto-detection. The larger n will speed up the filter at the expense of accuracy. The default value is n=3. If n is odd, a frame immediately following a frame marked with the REPEAT_FIRST_FIELD MPEG flag is assumed to be progressive, thus filter will not spend any time on soft-telecined MPEG-2 content. This is the only effect of this flag if MMX2 or 3DNow! is available. Without MMX2 and 3DNow, if n=0 or 1, the same calculations will be used as with n=2 or 3. If n=2 or 3, the number of luma levels used to find the frame breaks is reduced from 256 to 128, which results in a faster filter without losing much accuracy. If n=4 or 5, a faster, but much less accurate metric will be used to find the frame breaks, which is more likely to misdetect high vertical detail as interlaced content. If n is nonzero, print the detailed metrics for each frame. Useful for debugging. Deinterlace threshold. Used during de-interlacing of unmatched frames. Larger value means less deinterlacing, use n=256 to completely turn off deinterlacing. Default is n=8. Threshold for comparing a top and bottom fields. Defaults to 128. Threshold to detect temporal change of a field. Default is 128. Sum of Absolute Difference threshold, default is 64.

softpulldown
    This filter works only correct with MEncoder and acts on the MPEG2 flags used for soft 3:2 pulldown (soft telecine). If you want to use the ivtc or detc filter on movies that are partly soft telecined, inserting this filter before them should make them more reliable.

divtc[=options]
    Inverse telecine for deinterlaced video. If 3:2-pulldown telecined video has lost one of the fields or is deinterlaced using a method that keeps one field and interpolates the other, the result is a juddering video that has every fourth frame duplicated. This filter is intended to find and drop those duplicates and restore the original film framerate. When using this filter, you must specify -ofps that is 4/5 of the fps of the input file (23.976 if the input is 29.97fps). The options are: Use two-pass mode. This produces best results. Pass 1 analyzes the video and writes the results to a log file. Pass 2 then reads this log file and uses the information to do the actual work. Note that these passes do NOT correspond to pass 1 and 2 of the encoding process. In order to use divtc two-pass with two-pass video encoding, you must perform three passes: first divtc pass 1 and encoder pass 1, then divtc pass 2 and encoder pass 1, and finally divtc pass 2 and encoder pass 2. Set the 2-pass log filename (default: "framediff.log"). Set the minimum strength the telecine pattern must have for the filter to believe in it (default: 0.5). This is used to avoid recognizing false pattern from the parts of the video that are very dark or very still. Set the number of past frames to look at when searching for pattern (default: 30). Longer window improves the reliability of the pattern search, but shorter window improves the reaction time to the changes in the telecine phase. This only affects the one-pass mode. The two-pass mode currently uses fixed window that extends to both future and past. Sets the initial telecine phase for one-pass mode (default: 0). The two-pass mode can see the future, so it is able to use the correct phase from the beginning, but one-pass mode can only guess. It catches the correct phase when it finds it, but this option can be used to fix the possible juddering at the beginning. The first pass of the two-pass mode also uses this, so if you save the output from the first pass, you get constant phase result. Set the deghosting threshold (0-255 for one-pass mode, -255-255 for two-pass mode, default 0). If nonzero, deghosting mode is used. This is for video that has been deinterlaced by blending the fields together instead of dropping one of the fields. Deghosting amplifies any compression artifacts in the blended frames, so the parameter value is used as a threshold to exclude those pixels from deghosting that differ from the previous frame less than specified value. If two-pass mode is used, then negative value can be used to make the filter analyze the whole video in the beginning of pass-2 to determine whether it needs deghosting or not and then select either zero or the absolute value of the parameter. Specify this option for pass-2, it makes no difference on pass-1.

phase=[t|b|p|a|u|T|B|A|U][:v]
    Delay interlaced video by one field time so that the field order changes. The intended use is to fix PAL movies that have been captured with the opposite field order to the film-to-video transfer. The options are: Capture field order top-first, transfer bottom-first. Filter will delay the bottom field. Capture bottom-first, transfer top-first. Filter will delay the top field. Capture and transfer with the same field order. This mode only exists for the documentation of the other options to refer to, but if you actually select it, the filter will faithfully do nothing ;-) Capture field order determined automatically by field flags, transfer opposite. Filter selects among t and b modes on a frame by frame basis using field flags. If no field information is available, then this works just like u. Capture unknown or varying, transfer opposite. Filter selects among t and b on a frame by frame basis by analyzing the images and selecting the alternative that produces best match between the fields. Capture top-first, transfer unknown or varying. Filter selects among t and p using image analysis. Capture bottom-first, transfer unknown or varying. Filter selects among b and p using image analysis. Capture determined by field flags, transfer unknown or varying. Filter selects among t, b and p using field flags and image analysis. If no field information is available, then this works just like U. This is the default mode. Both capture and transfer unknown or varying. Filter selects among t, b and p using image analysis only. Verbose operation. Prints the selected mode for each frame and the average squared difference between fields for t, b, and p alternatives.

telecine[=start]
    Apply 3:2 'telecine' process to increase framerate by 20%. This most likely will not work correctly with MPlayer, but it can be used with 'mencoder -fps 29.97 -ofps 29.97 -vf telecine'. Both fps options are essential! (A/V sync will break if they are wrong.) The optional start parameter tells the filter where in the telecine pattern to start (0-3).

tinterlace[=mode]
    Temporal field interlacing - merge pairs of frames into an interlaced frame, halving the framerate. Even frames are moved into the upper field, odd frames to the lower field. This can be used to fully reverse the effect of the tfields filter (in mode 0). Available modes are: Move odd frames into the upper field, even into the lower field, generating a full-height frame at half framerate. Only output odd frames, even frames are dropped; height unchanged. Only output even frames, odd frames are dropped; height unchanged. Expand each frame to full height, but pad alternate lines with black; framerate unchanged.

tfields[=mode]
    Temporal field separation - split fields into frames, doubling the output framerate. Like the telecine filter, tfields will only work properly with MEncoder, and only if both -fps and -ofps are set to the desired (double) framerate! Available modes are: Leave fields unchanged. (This will jump/flicker.) Interpolate missing lines. (The algorithm used might not be so good.) Translate fields by 1/4 pixel with linear interpolation (no jump). Translate fields by 1/4 pixel with 4tap filter (higher quality).

boxblur=radius:power[:radius:power]
    box blur blur filter strength number of filter applications

sab=radius:pf:colorDiff[:radius:pf:colorDiff]
    shape adaptive blur blur filter strength (~0.1-4.0) (slower if larger) prefilter strength (~0.1-2.0) maximum difference between pixels to still be considered (~0.1-100.0)

smartblur=radius:strength:threshold[:radius:strength:threshold]
    smart blur blur filter strength (~0.1-5.0) (slower if larger) blur (0.0-1.0) or sharpen (-1.0-0.0) filter all (0), filter flat areas (0-30) or filter edges (-30-0)

perspective=x0:y0:x1:y1:x2:y2:x3:y3:t
    Correct the perspective of movies not filmed perpendicular to the screen. coordinates of the top left, top right, bottom left, bottom right corners linear (0) or cubic resampling (1)

2xsai
    Scale and smooth the image with the 2x scale and interpolate algorithm.

1bpp
    1bpp bitmap to YUV/BGR 8/15/16/32 conversion

down3dright[=lines]
    Reposition and resize stereoscopic images. Extracts both stereo fields and places them side by side, resizing them to maintain the original movie aspect. number of lines to select from the middle of the image (default: 12)

bmovl=hidden:opaque:fifo
    The bitmap overlay filter reads bitmaps from a FIFO and displays them on top of the movie, allowing some transformations on the image. Also see TOOLS/bmovl-test.c for a small bmovl test program. Set the default value of the 'hidden' flag (0=visible, 1=hidden). Set the default value of the 'opaque' flag (0=transparent, 1=opaque). path/filename for the FIFO (named pipe connecting mplayer -vf bmovl to the controlling application)

    FIFO commands are:
followed by width*height*4 Bytes of raw RGBA32 data. followed by width*height*4 Bytes of raw ABGR32 data. followed by width*height*3 Bytes of raw RGB24 data. followed by width*height*3 Bytes of raw BGR24 data. Change alpha transparency of the specified area. Clear area. Disable all alpha transparency. Send "ALPHA 0 0 0 0 0" to enable it again. Hide bitmap. Show bitmap.

    Arguments are:
image/area size Start blitting at position x/y. Set alpha difference. If you set this to -255 you can then send a sequence of ALPHA-commands to set the area to -225, -200, -175 etc for a nice fade-in-effect! ;) 0: same as original
255: Make everything opaque.
-255: Make everything transparent. Clear the framebuffer before blitting. 0: The image will just be blitted on top of the old one, so you do not need to send 1.8MB of RGBA32 data every time a small part of the screen is updated.
1: clear

framestep=I|[i]step
    Renders only every nth frame or every Intra (key) frame.

    If you call the filter with I (uppercase) as the parameter, then ONLY keyframes are rendered. For DVDs it generally means one in every 15/12 frames (IBBPBBPBBPBBPBB), for AVI it means every scene change or every keyint value (see -lavcopts keyint= value if you use MEncoder to encode the video).

    When a keyframe is found, an 'I!' string followed by a newline character is printed, leaving the current line of MPlayer/MEncoder output on the screen, because it contains the time (in seconds) and frame number of the keyframe (You can use this information to split the AVI.).

    If you call the filter with a numeric parameter 'step' then only one in every 'step' frames is rendered.

    If you put an 'i' (lowercase) before the number then an I! is printed (like the I parameter).

    If you give only the i then nothing is done to the frames, only I! is printed.

tile=xtiles:ytiles:output:start:delta
    Tile a series of images into a single, bigger image. If you omit a parameter or use a value less than 0, then the default value is used. You can also stop when you are satisfied (... -vf tile=10:5 ...). It is probably a good idea to put the scale filter before the tile :-)

    The parameters are:

    number of tiles on the x axis (default: 5) number of tiles on the y axis (default: 5) Render the tile when 'output' number of frames are reached, where 'output' should be a number less than xtile * ytile. Missing tiles are left blank. You could, for example, write an 8 * 7 tile every 50 frames to have one image every 2 seconds @ 25 fps. outer border thickness in pixels (default: 2) inner border thickness in pixels (default: 4)

delogo[=x:y:w:h:t]
    Suppresses a TV station logo by a simple interpolation of the surrounding pixels. Just set a rectangle covering the logo and watch it disappear (and sometimes something even uglier appear - your mileage may vary). top left corner of the logo width and height of the cleared rectangle Thickness of the fuzzy edge of the rectangle (added to w and h). When set to -1, a green rectangle is drawn on the screen to simplify finding the right x,y,w,h parameters.

zrmjpeg[=options]
    Software YV12 to MJPEG encoder for use with the zr2 video output device. These options set the maximum width and height the zr card can handle (the MPlayer filter layer currently cannot query those). Use these options to set maxwidth and maxheight automatically to the values known for card/mode combo. For example, valid options are: dc10-PAL and buz-NTSC (default: dc10+PAL) Select color or black and white encoding. Black and white encoding is faster. Color is the default. Horizontal decimation 1, 2 or 4. Vertical decimation 1, 2 or 4. Set JPEG compression quality [BEST] 1 - 20 [VERY BAD]. By default, decimation is only performed if the Zoran hardware can upscale the resulting MJPEG images to the original size. The option fd instructs the filter to always perform the requested decimation (ugly).

GENERAL ENCODING OPTIONS (MENCODER ONLY)

-audio-delay <0.0-...>
    Sets the audio delay field in the header. Default is 0.0, negative values do not work. This does not delay the audio while encoding, but the player will see the default audio delay, sparing you the use of the -delay option.

-audio-density <1-50>
    Number of audio chunks per second (default is 2 for 0.5s long audio chunks).
    NOTE: CBR only, VBR ignores this as it puts each packet in a new chunk.

-audio-preload <0.0-2.0>
    Sets up the audio buffering time interval (default: 0.5s).

-endpos <[[hh:]mm:]ss[.ms]|size[b|kb|mb]> (also see -ss and -sb)
    Stop encoding at the given time or byte position.
    NOTE: Byte position will not be accurate, as it can only stop at a frame boundary.

    EXAMPLE: Encode only 56 seconds. Encode only 1 hour 10 minutes. Encode only 100 MBytes.

-ffourcc <fourcc>
    Can be used to override the video fourcc of the output file.

    EXAMPLE: Will have the output file contain 'div3' as video fourcc.

-force-avi-aspect <0.2-3.0>
    Override the aspect stored in the AVI OpenDML vprp header. This can be used to change the aspect ratio with -ovc copy.

-info <option1:option2:...> (AVI only)
    Specify the info header of the resulting AVI file.

    Available options are: Show this description. title of the work artist or author of the work original work category contents of the work copyright information original format of the digitized material general comments about the work

-noautoexpand
    Do not automatically insert the expand filter into the MEncoder filter chain. Useful to control at which point of the filter chain subtitles are rendered when hardcoding subtitles onto a movie.

-noencodedups
    Do not attempt to encode duplicate frames in duplicate; always output zero-byte frames to indicate duplicates. Zero-byte frames will be written anyway unless a filter or encoder capable of doing duplicate encoding is loaded. Currently the only such filter is harddup.

-noodml (-of avi only)
    Do not write OpenDML index for AVI files >1GB.

-noskip
    Do not skip frames.

-o <filename>
    Outputs to the given filename, instead of the default 'test.avi'.

-oac <codec name>
    Encode with the given audio codec (no default set).
    NOTE: Use -oac help to get a list of available audio codecs.

    EXAMPLE: no encoding, just streamcopy Encode to uncompressed PCM. Encode to MP3 (using LAME). Encode with a libavcodec codec.

-of <format> (BETA CODE!)
    Encode to the specified container format (default: AVI).
    NOTE: Use -of help to get a list of available container formats.

    EXAMPLE: Encode to AVI. Encode to MPEG. raw video stream (no muxing - one video stream only)

-ofps <fps>
    Specify a frames per second (fps) value for the output file, which can be different from that of the source material. Must be set for variable fps (ASF, some MOV) and progressive (29.97fps telecined MPEG) files.

-ovc <codec name>
    Encode with the given video codec (no default set).
    NOTE: Use -ovc help to get a list of available video codecs.

    EXAMPLE: no encoding, just streamcopy Encode to DivX4/DivX5. Encode to an arbitrary uncompressed format (use -vf format to select). Encode with a libavcodec codec.

-passlogfile <filename>
    Dump first pass information to <filename> instead of the default divx2pass.log in 2-pass encoding mode.

-skiplimit <value>
    Specify the maximum number of frames that may be skipped after encoding one frame (-noskiplimit for unlimited).

-vobsubout <basename>
    Specify the basename for the output .idx and .sub files. This turns off subtitle rendering in the encoded movie and diverts it to VOBsub subtitle files.

-vobsuboutid <langid>
    Specify the language two letter code for the subtitles. This overrides what is read from the DVD or the .ifo file.

-vobsuboutindex <index>
    Specify the index of the subtitles in the output files (default: 0).

CODEC SPECIFIC ENCODING OPTIONS (MENCODER ONLY)
You can specify codec specific encoding parameters using the following syntax:

-<codec>opts <option1[=value],option2,...>

Where <codec> may be: lavc, xvidenc, divx4, lame, toolame, x264enc

  divx4 (-divx4opts)
DivX4 is obsolete and only supported for completeness. For details about DivX4 options, read the source, most options are not described here.

help
    get help

br=<value>
    Specify bitrate. (in kbit) (in bit)

key=<value>
    maximum keyframe interval (in frames)

deinterlace
    Enable deinterlacing (avoid it, DivX4 is buggy).

q=<1-5>
    quality (1-fastest, 5-best)

min_quant=<1-31>
    minimum quantizer

max_quant=<1-31>
    maximum quantizer

rc_period=<value>
    rate control period

rc_reaction_period=<value>
    rate control reaction period

rc_reaction_ratio=<value>
    rate control reaction ratio

crispness=<0-100>
    Specify crispness/smoothness.

pass=<1-2>
    With this you can encode 2pass DivX4 files. First encode with pass=1, then do another encode with the same parameters and pass=2.

vbrpass=<0-2>
    Override the pass argument and use the XviD VBR library instead of DivX4 VBR. Available options are: one pass encoding (as in not putting pass on the command line) Analysis (first) pass of two pass encoding. The resulting AVI file can be directed to /dev/null. Final (second) pass of two pass encoding.

  lame (-lameopts)

help
    get help

vbr=<0-4>
    variable bitrate method cbr mt rh (default) abr mtrh

abr average bitrate

cbr constant bitrate Also forces CBR mode encoding on subsequent ABR presets modes.

br=<0-1024>
    bitrate in kbps (CBR and ABR only)

q=<0-9>
    quality (0-highest, 9-lowest) (VBR only)

aq=<0-9>
    algorithmic quality (0-best/slowest, 9-worst/fastest)

ratio=<1-100>
    compression ratio

vol=<0-10>
    audio input gain

mode=<0-3>
    (default: auto) stereo joint-stereo dualchannel mono

padding=<0-2>
    none all adjust

fast
    Switch on faster encoding on subsequent VBR presets modes. This results in slightly lower quality and higher bitrates.

highpassfreq=<freq>
    Set a highpass filtering frequency in Hz. Frequencies below the specified one will be cut off. A value of -1 will disable filtering, a value of 0 will let LAME choose values automatically.

lowpassfreq=<freq>
    Set a lowpass filtering frequency in Hz. Frequencies above the specified one will be cut off. A value of -1 will disable filtering, a value of 0 will let LAME choose values automatically.

preset=<value>
    preset values Print additional options and information about presets settings. VBR encoding, good quality, 150-180 kbps bitrate range VBR encoding, high quality, 170-210 kbps bitrate range VBR encoding, very high quality, 200-240 kbps bitrate range CBR encoding, highest preset quality, 320 kbps bitrate ABR encoding at average given kbps bitrate

    EXAMPLE:
suitable for most people and most music types and already quite high quality Encode with ABR presets at a 192 kbps forced constant bitrate. Encode with ABR presets at a 172 kbps average bitrate. for people with extremely good hearing and similar equipment

  toolame (-toolameopts)

br=<0-384> (CBR only)
    bitrate in kbps

mode=<stereo | jstereo | mono | dual>
    (default: mono for 1-channel audio, stereo otherwise)

psy=<0-3>
    psychoacoustic model (default: 2)

errprot=<0 | 1>
    Include error protection.

debug=<0-10>
    debug level

  lavc (-lavcopts)
Many libavcodec (lavc for short) options are tersely documented. Read the source for full details.

EXAMPLE:

acodec=<value>
    audio codec (default: mp2) MPEG Layer 2 MPEG Layer 3 AC3 IMA Adaptive PCM (4bits per sample, 4:1 compression)

abitrate=<value>
    audio bitrate in kbps (default: 224)

atag=<value>
    Use the specified Windows audio format tag (e.g. atag=0x55).

bit_exact
    Use only bit exact algorithms (except (I)DCT). Additionally bit_exact disables several optimizations and thus should only be used for regression tests, which need binary identical files even if the encoder version changes. This also suppresses the user_data header in MPEG-4 streams. Do not use this option unless you know exactly what you are doing.

threads=<1-8>
    Maximum number of threads to use (default: 1). May have a slight negative effect on motion estimation.

vcodec=<value>
    Employ the specified codec (default: mpeg4). Motion JPEG Lossless JPEG H.263 H.263+ DivX 4/5 DivX 3 MS MPEG4v2 Windows Media Video, version 1 (AKA WMV7) Windows Media Video, version 2 (AKA WMV8) an old RealVideo codec MPEG1 video MPEG2 video HuffYUV ASUS Video v1 ASUS Video v2 FFmpeg's lossless video codec

vqmin=<1-31>
    minimum quantizer (pass 1/2) Not recommended (much larger file, little quality difference and weird side effects: msmpeg4, h263 will be very low quality, ratecontrol will be confused resulting in lower quality and some decoders will not be able to decode it). Recommended for normal mpeg4/mpeg1video encoding (default). Recommended for h263(p)/msmpeg4. The reason for preferring 3 over 2 is that 2 could lead to overflows. (This will be fixed for h263(p) by changing the quantizer per MB in the future, msmpeg4 cannot be fixed as it does not support that.)

lmin=<0.01-255.0>
    Minimum Lagrange multiplier for ratecontrol, you probably want it to be equal to or lower than vqmin (default: 2.0).

lmax=<0.01-255.0>
    maximum Lagrange multiplier for ratecontrol (default: 31.0)

vqscale=<1-31>
    Constant quantizer / constant quality encoding (selects fixed quantizer mode). A lower value means better quality but larger files (default: 0 (disabled)). 1 is not recommended (see vqmin for details).

vqmax=<1-31>
    Maximum quantizer (pass 1/2), 10-31 should be a sane range (default: 31).

mbqmin=<1-31>
    minimum macroblock quantizer (pass 1/2) (default: 2)

mbqmax=<1-31>
    maximum macroblock quantizer (pass 1/2) (default: 31)

vqdiff=<1-31>
    maximum quantizer difference between I- or P-frames (pass 1/2) (default: 3)

vmax_b_frames=<0-4>
    maximum number of B-frames between non-B-frames: no B-frames (default) sane range for MPEG4

vme=<0-5>
    motion estimation method. Available methods are: none (very low quality) full (slow, currently unmaintained and disabled) log (low quality, currently unmaintained and disabled) phods (low quality, currently unmaintained and disabled) EPZS: size=1 diamond, size can be adjusted with the *dia options (default) X1 (experimental, currently aliased to EPZS)

    NOTE: 0-3 currently ignores the amount of bits spent, so quality may be low.

me_range=<0-9999>
    motion estimation search range (default: 0 (unlimited))

mbd=<0-2>
    Macroblock decision algorithm (high quality mode), encode each macro block in all modes and choose the best. This is slow but results in better quality and file size. Use mbcmp (default). Select the MB mode which needs the fewest bits (=vhq). Select the MB mode which has the best rate distortion.

vhq Same as mbd=1, kept for compatibility reasons.

v4mv
    Allow 4 motion vectors per macroblock (slightly better quality). Works better if used with mbd>0.

obmc
    overlapped block motion compensation (H.263+)

loop
    loop filter (H.263+) note, this is broken

inter_threshold <-1000-1000>
    Does absolutely nothing at the moment.

keyint=<0-300>
    maximum interval between keyframes in frames (default: 250 or one keyframe every ten seconds in a 25fps movie). Keyframes are needed for seeking as seeking is only possible to a keyframe but keyframes need more space than other frames so larger numbers here mean slightly smaller files, but less precise seeking, 0 means no keyframes. Values >300 are not recommended as the quality might be bad depending upon decoder, encoder and luck. For a strict MPEG1/2/4 compliance this would have to be <=132.

sc_threshold=<-1000000-1000000>
    Threshold for scene change detection. Libavcodec inserts a keyframe when it detects a scene change. You can specify the sensitivity of the detection with this option. -1000000 means there is a scene change detected at every frame, 1000000 means no scene changes are detected (default 0).

vb_strategy=<0-1>
    strategy to choose between I/P/B-frames (pass 2): Always use the maximum number of B-frames (default). Avoid B-frames in high motion scenes. This will cause bitrate misprediction.

vpass=<1-3>
    Activates internal two (or three) pass mode, only specify if you wish to use two (or three) pass encoding. first pass (also see turbo) second pass Nth pass (second and third passes of three pass encoding)
    Here is how it works, and how to use it:
    The first pass (vpass=1) writes the stats file. You might want to deactivate some CPU-hungry options, like "turbo" mode does.
    In two pass mode, the second pass (vpass=2) reads the stats file and bases ratecontrol decisions on it.
    In three pass mode, the second pass (vpass=3, that is not a typo ) does both: It first reads the stats, then overwrites them. You might want to backup divx2pass.log before doing this if there is any possibility that you will have to cancel MEncoder. You can use all encoding options, except very CPU-hungry options like "qns".
    The third pass (vpass=3) is the same as the second pass, except that it has the second pass's stats to work from. You can use all encoding options, including CPU-hungry ones.

    huffyuv:
Saves statistics. Encodes with an optimal Huffman table based upon statistics from the first pass.

turbo (2-pass only)
    Dramatically speeds up pass 1 using faster algorithms and disabling CPU-intensive options. This will probably reduce global PSNR a little bit (around 0.01dB) and change individual frame type and PSNR little bit more (up to 0.03dB).

aspect=<x/y>
    Store movie aspect internally, just like with MPEG files. Much nicer than rescaling, because quality is not decreased. Only MPlayer will play these files correctly, other players will display them with wrong aspect. The aspect parameter can be given as a ratio or a floating point number.

    EXAMPLE:

autoaspect
    Same as the aspect option, but automatically computes aspect, taking into account all the adjustments (crop/expand/scale/etc.) made in the filter chain. Does not incur a performance penalty, so you can safely leave it always on.

vbitrate=<value>
    Specify bitrate (pass 1/2) (default: 800).
    WARNING: 1kBit = 1000 Bits (in kbit) (in bit)

vratetol=<value>
    approximated filesize tolerance in kBit. 1000-100000 is a sane range. (warning: 1kBit = 1000 Bits) (default: 8000)
    NOTE: vratetol should not be too large during the second pass or there might be problems if vrc_(min|max)rate is used.

vrc_maxrate=<value>
    maximum bitrate in kbit/sec (pass 1/2) (default: 0, unlimited)

vrc_minrate=<value>
    minimum bitrate in kbit/sec (pass 1/2) (default: 0, unlimited)

vrc_buf_size=<value>
    buffer size in kbit (pass 1/2). For MPEG1/2 this also sets the vbv buffer size, use 327 for VCD, 917 for SVCD and 1835 for DVD.

vrc_buf_aggressivity
    currently useless

vrc_strategy
    Dummy, reserved for future use.

vb_qfactor=<-31.0-31.0>
    quantizer factor between B- and non-B-frames (pass 1/2) (default: 1.25)

vi_qfactor=<-31.0-31.0>
    quantizer factor between I- and non-I-frames (pass 1/2) (default: 0.8)

vb_qoffset=<-31.0-31.0>
    quantizer offset between B- and non-B-frames (pass 1/2) (default: 1.25)

vi_qoffset=<-31.0-31.0>
    (pass 1/2) (default: 0.0)
    if v{b|i}_qfactor > 0
    I/B-frame quantizer = P-frame quantizer * v{b|i}_qfactor + v{b|i}_qoffset
    else
    do normal ratecontrol (do not lock to next P-frame quantizer) and set q= -q * v{b|i}_qfactor + v{b|i}_qoffset
    HINT: To do constant quantizer encoding with different quantizers for I/P- and B-frames you can use: lmin= <ip_quant>:lmax= <ip_quant>:vb_qfactor= <b_quant/ip_quant>.

vqblur=<0.0-1.0> (pass 1)
    Quantizer blur (default: 0.5), larger values will average the quantizer more over time (slower change). Quantizer blur disabled. Average the quantizer over all previous frames.

vqblur=<0.0-99.0> (pass 2)
    Quantizer gaussian blur (default: 0.5), larger values will average the quantizer more over time (slower change).

vqcomp=<value>
    Quantizer compression, depends upon vrc_eq (pass 1/2) (default: 0.5).

vrc_eq=<equation>
    main ratecontrol equation (pass 1/2)
constant bitrate constant quality approximately the equation of the old ratecontrol code with qcomp 0.5 or something like that (default)

    infix operators:

    variables:
texture complexity intra, non-intra texture complexity average texture complexity average intra texture complexity in I-frames average intra texture complexity in P-frames average non-intra texture complexity in P-frames average non-intra texture complexity in B-frames Bits used for motion vectors maximum length of motion vector in log2 scale number of intra macroblocks / number of macroblocks spatial complexity temporal complexity qcomp from the command line Is 1 if picture type is I/P/B else 0. See your favorite math book.

    functions:
maximum / minimum is 1 if a>b, 0 otherwise is 1 if a<b, 0 otherwise is 1 if a==b, 0 otherwise

vrc_override=<options>
    User specified quality for specific parts (ending, credits, ...) (pass 1/2). The options are <start-frame>, <end-frame>, <quality>[/<start-frame>, <end-frame>, <quality>[/...]]: quantizer quality correction in %

vrc_init_cplx=<0-1000>
    initial complexity (pass 1)

vqsquish=<0,1>
    Specify how to keep the quantizer between qmin and qmax (pass 1/2). Use clipping. Use a nice differentiable function (default).

vlelim=<-1000-1000>
    Sets single coefficient elimination threshold for luminance. Negative values will also consider the DC coefficient (should be at least -4 or lower for encoding at quant=1): disabled (default) JVT recommendation

vcelim=<-1000-1000>
    Sets single coefficient elimination threshold for chrominance. Negative values will also consider the DC coefficient (should be at least -4 or lower for encoding at quant=1): disabled (default) JVT recommendation

vstrict=<-1,0,1>
    strict standard compliance disabled (default) Only recommended if you want to feed the output into the MPEG4 reference decoder. Allows non-standard YV12 HuffYUV encoding (20% smaller files, but cannot be played by the official HuffYUV codec).

vdpart
    Data partitioning. Adds 2 Bytes per video packet, improves error-resistance when transferring over unreliable channels (e.g. streaming over the internet). Each video packet will be encoded in 3 separate partitions: movement low res picture details
    MV & DC are most important, loosing them looks far worse than loosing the AC and the 1. & 2. partition. (MV & DC) are far smaller than the 3. partition (AC) meaning that errors will hit the AC partition much more often than the MV & DC partitions. Thus, the picture will look better with partitioning than without, as without partitioning an error will trash AC/DC/MV equally.

vpsize=<0-10000> (also see vdpart)
    Video packet size, improves error-resistance. disabled (default) good choice

ss  slice structured mode for H.263+

gray
    grayscale only encoding (faster)

vfdct=<0-10>
    DCT algorithm Automatically select a good one (default). fast integer accurate integer MMX mlib AltiVec floating point AAN

idct=<0-99>
    IDCT algorithm
    NOTE: To the best of our knowledge all these IDCTs do pass the IEEE1180 tests. Automatically select a good one (default). JPEG reference integer simple simplemmx libmpeg2mmx (inaccurate, do not use for encoding with keyint >100) ps2 mlib arm AltiVec sh4

lumi_mask=<0.0-1.0>
    Luminance masking is a 'psychosensory' setting that is supposed to make use of the fact that the human eye tends to notice fewer details in very bright parts of the picture. Luminance masking compresses bright areas stronger than medium ones, so it will save bits that can be spent again on other frames, raising overall subjective quality, while possibly reducing PSNR.
    WARNING: Be careful, overly large values can cause disastrous things.
    WARNING: Large values might look good on some monitors but may look horrible on other monitors. disabled (default) sane range

dark_mask=<0.0-1.0>
    Darkness masking is a 'psychosensory' setting that is supposed to make use of the fact that the human eye tends to notice fewer details in very dark parts of the picture. Darkness masking compresses dark areas stronger than medium ones, so it will save bits that can be spent again on other frames, raising overall subjective quality, while possibly reducing PSNR.
    WARNING: Be careful, overly large values can cause disastrous things.
    WARNING: Large values might look good on some monitors but may look horrible on other monitors / TV / TFT. disabled (default) sane range

tcplx_mask=<0.0-1.0>
    Temporal complexity masking (default: 0.0 (disabled)). Imagine a scene with a bird flying across the whole scene; tcplx_mask will raise the quantizers of the bird's macroblocks (thus decreasing their quality), as the human eye usually does not have time to see all the bird's details. Be warned that if the masked object stops (e.g. the bird lands) it is likely to look horrible for a short period of time, until the encoder figures out that the object is not moving and needs refined blocks. The saved bits will be spent on other parts of the video, which may increase subjective quality, provided that tcplx_mask is carefully chosen.

scplx_mask=<0.0-1.0>
    Spatial complexity masking. Larger values help against blockiness, if no deblocking filter is used for decoding, which is maybe not a good idea.
    Imagine a scene with grass (which usually has great spatial complexity), a blue sky and a house; scplx_mask will raise the quantizers of the grass' macroblocks, thus decreasing its quality, in order to spend more bits on the sky and the house.
    HINT: Crop any black borders completely as they will reduce the quality of the macroblocks (also applies without scplx_mask). disabled (default) sane range

    NOTE: This setting does not have the same effect as using a custom matrix that would compress high frequencies harder, as scplx_mask will reduce the quality of P blocks even if only DC is changing. The result of scplx_mask will probably not look as good.

p_mask=<0.0-1.0> (also see vi_qfactor)
    Reduces the quality of inter blocks. This is equivalent to increasing the quality of intra blocks, because the same average bitrate will be distributed by the rate controller to the whole video sequence (default: 0.0 (disabled)). p_mask=1.0 doubles the bits allocated to each intra block.

naq Normalize adaptive quantization (experimental). When using adaptive quantization (*_mask), the average per-MB quantizer may no longer match the requested frame-level quantizer. Naq will attempt to adjust the per-MB quantizers to maintain the proper average.

ildct
    Use interlaced DCT.

ilme
    Use interlaced motion estimation (mutually exclusive with qpel).

alt Use alternative scantable.

top=<-1-1>
    automatic bottom field first top field first

format=<value>
    default for ffv1 for HuffYUV, lossless JPEG and ffv1 for lossless JPEG and ffv1 for lossless JPEG and ffv1

pred
    (for HuffYUV) left prediction plane/gradient prediction median prediction

pred
    (for lossless JPEG) left prediction top prediction topleft prediction plane/gradient prediction mean prediction

coder
    (for ffv1) vlc coding (Golomb-Rice) arithmetic coding (CABAC)

context
    (for ffv1) small context model large context model

qpel
    Use quarter pel motion compensation (mutually exclusive with ilme).
    HINT: This seems only useful for high bitrate encodings.

mbcmp=<0-2000>
    Sets the comparison function for the macroblock decision, only used if mbd=0. sum of absolute differences, fast (default) sum of squared errors sum of absolute Hadamard transformed differences sum of absolute DCT transformed differences sum of squared quantization errors (avoid, low quality) number of bits needed for the block rate distortion optimal, slow 0 sum of absolute vertical differences sum of squared vertical differences noise preserving sum of squared differences Also use chroma, currently does not work (correctly) with B-frames.

ildctcmp=<0-2000>
    Sets the comparison function for interlaced DCT decision (see mbcmp for available comparison functions).

precmp=<0-2000>
    Sets the comparison function for motion estimation pre pass (see mbcmp for available comparison functions) (default: 0).

cmp=<0-2000>
    Sets the comparison function for full pel motion estimation (see mbcmp for available comparison functions) (default: 0).

subcmp=<0-2000>
    Sets the comparison function for sub pel motion estimation (see mbcmp for available comparison functions) (default: 0).

nssew=<0-100>
    This setting controls NSSE weight, where larger weights will result in more noise. 0 NSSE is identical to SSE You may find this useful if you prefer to keep some noise in your encoded video rather than filtering it away before encoding.

predia=<-99-6>
    diamond type and size for motion estimation pre-pass

dia=<-99-6>
    Diamond type & size for motion estimation. Motion search is an iterative process. Using a small diamond does not limit the search to finding only small motion vectors. It is just somewhat more likely to stop before finding the very best motion vector, especially when noise is involved. Bigger diamonds allow a wider search for the best motion vector, thus are slower but result in better quality.
    Big normal diamonds are better quality than shape-adaptive diamonds.
    Shape-adaptive diamonds are a good tradeoff between speed and quality.
    NOTE: The sizes of the normal diamonds and shape adaptive ones do not have the same meaning. shape adaptive (fast) diamond with size 3 shape adaptive (fast) diamond with size 2 slightly special: Can be slower and/or better than dia=-2. normal size=1 diamond (default) =EPZS type diamond
          0
         000
          0
    normal size=2 diamond
          0
         000
        00000
         000
          0

trell
    Trellis searched quantization. This will find the optimal encoding for each 8x8 block. Trellis searched quantization is quite simply an optimal quantization in the PSNR versus bitrate sense (Assuming that there would be no rounding errors introduced by the IDCT, which is obviously not the case.). It simply finds a block for the minimum of error and lambda*bits. quantization parameter (QP) dependent constant amount of bits needed to encode the block sum of squared errors of the quantization

cbp Rate distorted optimal coded block pattern. Will select the coded block pattern which minimizes distortion + lambda*rate. This can only be used together with trellis quantization.

mv0 Try to encode each MB with MV=<0,0> and choose the better one. This has no effect if mbd=0.

qprd (mbd=2 only)
    rate distorted optimal quantization parameter (QP) for the given lambda of each macroblock

last_pred=<0-99>
    amount of motion predictors from the previous frame (default) Will use 2a+1 x 2a+1 macroblock square of motion vector predictors from the previous frame.

preme=<0-2>
    motion estimation pre-pass disabled only after I-frames (default) always

subq=<1-8>
    subpel refinement quality (for qpel) (default: 8 (high quality))
    NOTE: This has a significant effect on speed.

psnr
    print the PSNR (peak signal to noise ratio) for the whole video after encoding and store the per frame PSNR in a file with a name like 'psnr_hhmmss.log'. Returned values are in dB (decibel), the higher the better.

mpeg_quant
    Use MPEG quantizers instead of H.263.

aic ac prediction (advanced intra prediction for H.263+)
    NOTE: vqmin should be 8 or larger for H.263+ AIC.

aiv alternatice inter vlc for H.263+

umv unlimited MVs (H.263+ only) Allows encoding of abritarily long MVs.

ibias=<-256-256>
    intra quantizer bias (256 equals 1.0, MPEG style quantizer default: 96, H.263 style quantizer default: 0)
    NOTE: The H.263 MMX quantizer cannot handle positive biases (set vfdct=1 or 2), the MPEG MMX quantizer cannot handle negative biases (set vfdct=1 or 2).

pbias=<-256-256>
    inter quantizer bias (256 equals 1.0, MPEG style quantizer default: 0, H.263 style quantizer default: -64)
    NOTE: The H.263 MMX quantizer cannot handle positive biases (set vfdct=1 or 2), the MPEG MMX quantizer cannot handle negative biases (set vfdct=1 or 2).
    HINT: A more positive bias (-32 - -16 instead of -64) seems to improve the PSNR.

nr=<0-100000>
    Noise reduction, 0 means disabled.

qns=<0-3>
    Quantizer noise shaping. Rather than choosing quantization to most closely match the source video in the PSNR sense, it chooses quantization such that noise (usually ringing) will be masked by similar-frequency content in the image. Larger values are slower but may not result in better quality. This can and should be used together with trellis quantization, in which case the trellis quantization (optimal for constant weight) will be used as startpoint for the iterative search. disabled (default) Only lower the absolute value of coefficients. Only change coefficients before the last non-zero coefficient + 1. Try all.

inter_matrix=<comma separated matrix>
    Use custom inter matrix. It needs a comma separated string of 64 integers.

intra_matrix=<comma separated matrix>
    Use custom intra matrix. It needs a comma separated string of 64 integers.

vqmod_amp
    experimental quantizer modulation

vqmod_freq
    experimental quantizer modulation

dc  intra DC precision in bits (default: 8). If you specify vcodec=mpeg2video this value can be 8, 9, 10 or 11.

cgop
    Close all GOPs. Currently it does not work.

  nuv (-nuvopts)
Nuppel video is based on RTJPEG and LZO. By default frames are first encoded with RTJPEG and then compressed with LZO, but it is possible to disable either or both of the two passes. As a result, you can in fact output raw i420, LZO compressed i420, RTJPEG, or the default LZO compressed RTJPEG.
NOTE: The nuvrec documentation contains some advice and examples about the settings to use for the most common TV encodings.

c=<0-20>
    chrominance threshold (default: 1)

l=<0-20>
    luminance threshold (default: 1)

lzo Enable LZO compression (default).

nolzo
    Disable LZO compression.

q=<3-255>
    quality level (default: 255)

raw Disable RTJPEG encoding.

rtjpeg
    Enable RTJPEG encoding (default).

  xvidenc (-xvidencopts)
There are three modes available: constant bitrate (CBR), fixed quantizer and 2pass.

pass=<1|2>
    Specify the pass in 2pass mode.

bitrate=<value>
    Sets the bitrate to be used in kbits/second if <16000 or in bits/second if >16000. If <value> is negative, XviD will use its absolute value as the target size (in kbytes) of the video and compute the associated bitrate automagically. (CBR or 2pass mode, default: 687 kbits/s)

fixed_quant=<1-31>
    Switch to fixed quantizer mode and specify the quantizer to be used.

me_quality=<0-6>
    This option controls the motion estimation subsystem. The higher the value, the more precise the estimation should be (default: 6). The more precise the motion estimation is, the more bits can be saved. Precision is gained at the expense of CPU time so decrease this setting if you need realtime encoding.

interlacing
    Encode the fields of interlaced video material. Turn this option on for interlaced content.
    NOTE: Should you rescale the video, you would need an interlace-aware resizer, which you can activate with -vf scale=<width>:<height>:1.

4mv Use 4 motion vectors per macroblock. This might give better compression, but slows down encoding.
    WARNING: This option is deprecated in XviD-1.0.x, as all is now taken care of by the me_quality option. When me_quality > 4, 4mv is activated.

rc_reaction_delay_factor=<value>
    This parameter controls the number of frames the CBR rate controller will wait before reacting to bitrate changes and compensating for them to obtain a constant bitrate over an averaging range of frames.

rc_averaging_period=<value>
    Real CBR is hard to achieve. Depending on the video material, bitrate can be variable, and hard to predict. That's why XviD uses an averaging period for which it guarantees a given amount of bits (minus a small variation). This settings expresses the "number of frames" for which XviD averages bitrate and tries to achieve CBR.

rc_buffer=<value>
    size of the rate control buffer

quant_range=<1-31>-<1-31>[/<1-31>-<1-31>]
    CBR mode: min & max quantizer for all frames (default: 2-31)
    2pass mode: min & max quantizer for I/P-frames (default: 2-31/2-31)
    WARNING: This option is deprecated in XviD-1.0.x, and is replaced by the [min|max]_[i|p|b]quant options.

min_key_interval=<value>
    minimum interval between keyframes (default: 0, 2pass only)

max_key_interval=<value>
    maximum interval between keyframes (default: 10*fps)

mpeg_quant
    Use MPEG quantizers instead of H.263. For high bitrates, you will find that MPEG quantization preserves more detail. For low bitrates, the smoothing of H.263 will give you less block noise. When using custom matrices, MPEG must be used.
    WARNING: This option is deprecated in XviD-1.0.x, and is replaced by the quant_type option.

mod_quant
    Decide whether to use MPEG or H.263 quantizers on a frame-by-frame basis (2pass mode only).
    WARNING: This will generate an illegal bitstream, and most likely not be decodable by any MPEG4 decoder besides libavcodec or XviD.
    WARNING: This option is deprecated in XviD-1.0.x.

keyframe_boost=<0-1000>
    Shift some bits from the pool for other frame types to intra frames, thus improving keyframe quality. (default: 0, 2pass mode only)

kfthreshold=<value>
    (default: 10, 2pass mode only)

kfreduction=<0-100>
    The above two settings can be used to adjust the size of keyframes that you consider too close to the first (in a row). kfthreshold sets the range in which keyframes are reduced, and kfreduction determines the bitrate reduction they get. The last I-frame will get treated normally. (default: 30, 2pass mode only)

greyscale
    Make XviD discard chroma planes so the encoded video is greyscale only. Note that this does not speed up encoding, it just prevents chroma data from being written in the last stage of encoding.

debug
    Save per-frame statistics in ./xvid.dbg. (This is not the 2pass control file.)

The following options are only available with the latest stable releases of XviD 1.0.x (api4).

packed
    Create a bitstream which can be decoded delay-free.
    WARNING: This will generate an illegal bitstream, and will not be decodable by ISO-MPEG4 decoders except DivX/libavcodec/XviD.
    WARNING: This will also store a fake DivX version in the file so the bug autodetection of some decoders might be confused.

divx5bvop
    Generate DivX5 compatible B-frames (default: on).

max_bframes=<0-4>
    Maximum number of B-frames to put between I/P-frames (default: 0).

bquant_ratio=<0-1000>
    quantizer ratio between B- and non-B-frames, 150=1.50 (default: 150)

bquant_offset=<-1000-1000>
    quantizer offset between B- and non-B-frames, 100=1.00 (default: 100)

bf_threshold=<-255-255>
    Sometimes B-frames do not look good, and introduce artifacts when most of the frame is static and some small zones have high motion (in a static scene with a man talking, his mouth will probably look bad if what is surrounding the man and his mouth is completely static). This setting allows you to specify what priority to place on the use of B-frames. The higher the value, the higher the probability of B-frames being used. (default: 0)

frame_drop_ratio=<0-100> (max_bframes=0 only)
    This setting allows the creation of variable framerate video streams. The value of the setting specifies a threshold under which, if the difference of the following frame to the previous frame is below or equal to this threshold, a frame gets not coded (a so called n-vop is placed in the stream). On playback, when reaching an n-vop the previous frame will be displayed.
    WARNING: Playing with this setting may result in a jerky video, so use it at your own risks!

qpel
    MPEG4 uses a half pixel precision for its motion search by default. The standard proposes a mode where encoders are allowed to use quarter pixel precision. This option usually results in a sharper image. Unfortunately it has a great impact on bitrate and sometimes the higher bitrate use will prevent it from giving a better image quality at a fixed bitrate. It's better to test with and without this option and see whether it is worth activating.

gmc Enable Global Motion Compensation, which makes XviD generate special frames (GMC-frames) which are well suited for Pan/Zoom/Rotating images. Whether or not the use of this option will save bits is highly dependent on the source material.

trellis
    Trellis Quantization is a kind of adaptive quantization method that saves bits by modifying quantized coefficients to make them more compressible by the entropy encoder. Its impact on quality is good, and if VHQ uses too much CPU for you, this setting can be a good alternative to save a few bits (and gain quality at fixed bitrate) at a lesser cost than with VHQ.

cartoon
    Activate this if your encoded sequence is an anime/cartoon. It modifies some XviD internal thresholds so XviD takes better decisions on frame types and motion vectors for flat looking cartoons.

quant_type=<h263|mpeg>
    Sets the type of quantizer to use. For high bitrates, you will find that MPEG quantization preserves more detail. For low bitrates, the smoothing of H.263 will give you less block noise. When using custom matrices, MPEG quantization must be used.

chroma_me
    The usual motion estimation algorithm uses only the luminance information to find the best motion vector. However for some video material, using the chroma planes can help find better vectors. This setting toggles the use of chroma planes for motion estimation.

chroma_opt
    Enable a chroma optimizer prefilter. It will do some extra magic on color information to minimize the stepped-stairs effect on edges. It will improve quality at the cost of encoding speed. It reduces PSNR by nature, as the mathematical deviation to the original picture will get bigger, but the subjective image quality will raise. Since it works with color information, you might want to turn it off when encoding in greyscale.

hq_ac
    Activates High Quality AC coefficient prediction from neighbor blocks.

vhq=<0-4>
    The motion search algorithm is based on a search in the usual color domain and tries to find a motion vector that minimizes the difference between the reference frame and the encoded frame. With this setting activated, XviD will also use the frequency domain (DCT) to search for a motion vector that minimizes not only the spatial difference but also the encoding length of the block. Fastest to slowest: off (default) mode decision (inter/intra MB) limited search medium search wide search

min_iquant=<0-31>
    minimum I-frame quantizer (default: 2)

max_iquant=<0-31>
    maximum I-frame quantizer (default: 31)

min_pquant=<0-31>
    minimum P-frame quantizer (default: 2)

max_pquant=<0-31>
    maximum P-frame quantizer (default: 31)

min_bquant=<0-31>
    minimum B-frame quantizer (default: 2)

max_bquant=<0-31>
    maximum B-frame quantizer (default: 31)

quant_intra_matrix=<filename>
    Load a custom intra matrix file. You can build such a file with xvid4conf's matrix editor.

quant_inter_matrix=<filename>
    Load a custom inter matrix file. You can build such a file with xvid4conf's matrix editor.

curve_compression_high=<0-100>
    This setting allows XviD to take a certain percentage of bits away from high bitrate scenes and give them back to the bit reservoir. You could also use this if you have a clip with so many bits allocated to high-bitrate scenes that the low(er)-bitrate scenes start to look bad (default: 0).

curve_compression_low=<0-100>
    This setting allows XviD to give a certain percentage of extra bits to the low bitrate scenes, taking a few bits from the entire clip. This might come in handy if you have a few low-bitrate scenes that are still blocky (default: 0).

overflow_control_strength=<0-100>
    During pass 1 of 2-pass encoding, a scaled bitrate curve is computed. The difference between that expected curve and the result obtained during encoding is called overflow. Obviously, the two pass rate controller tries to compensate for that overflow, distributing it over the next frames. This setting controls how much of the overflow is distributed every time there is a new frame. Low values allow lazy overflow control, big rate bursts are compensated for more slowly (could lead to lack of precision for small clips). Higher values will make changes in bit redistribution more abrupt, possibly too abrupt if you set it too high, creating artifacts (default: 5).
    NOTE: This setting impacts quality a lot, play with it carefully!

max_overflow_improvement=<0-100>
    During the frame bit allocation, overflow control may increase the frame size. This parameter specifies the maximum percentage by which the overflow control is allowed to increase the frame size, compared to the ideal curve allocation (default: 5).

max_overflow_degradation=<0-100>
    During the frame bit allocation, overflow control may decrease the frame size. This parameter specifies the maximum percentage by which the overflow control is allowed to decrease the frame size, compared to the ideal curve allocation (default: 5).

container_frame_overhead=<0...>
    Specifies a frame average overhead per frame, in bytes. Most of the time users express their target bitrate for video w/o taking care of the video container overhead. This small but (mostly) constant overhead can cause the target file size to be exceeded. XviD allows users to set the amount of overhead per frame the container generates (give only an average per frame). 0 has a special meaning, it lets XviD use its own default values (default: 24 - AVI average overhead).

par=<mode>
    Specifies the Pixel Aspect Ratio mode (not to be confused with DAR, the Display Aspect Ratio). PAR is the ratio of the width and height of a single pixel. So both are related like this: DAR = PAR * (width/height).
    MPEG4 defines 5 pixel aspect ratios and one extended one, giving the opportunity to specify a specific pixel aspect ratio. 5 standard modes can be specified: It's the usual PAR for PC content. Pixels are a square unit. PAL standard 4:3 PAR. Pixels are rectangles. same as above same as above same as above (Don't forget to give the exact ratio.) Allows you to specify your own pixel aspect ratio with par_width and par_height.
NOTE: In general, setting aspect and autoaspect options is enough.

par_width=<1-255> (par=ext only)
    Specifies the width of the custom pixel aspect ratio.

par_height=<1-255> (par=ext only)
    Specifies the height of the custom pixel aspect ratio.

aspect=<x/y | f (float value)>
    Store movie aspect internally, just like MPEG files. Much nicer solution than rescaling, because quality isn't decreased. MPlayer and a few others players will play these files correctly, others will display them with the wrong aspect. The aspect parameter can be given as a ratio or a floating point number.

autoaspect
    Same as the aspect option, but automatically computes aspect, taking into account all the adjustments (crop/expand/scale/etc.) made in the filter chain.

psnr
    Print the PSNR (peak signal to noise ratio) for the whole video after encoding and store the per frame PSNR in a file with a name like 'psnr_hhmmss.log' in the current directory. Returned values are in dB (decibel), the higher the better.

The following option is only available in development versions of XviD 1.1.x.

bvhq=<0|1>
    This setting allows vector candidates for B-frames to be used for the encoding chosen using a rate distortion optimized operator, which is what is done for P-frames by the vhq option. This produces nicer-looking B-frames while incurring almost no performance penalty.

  x264enc (-x264encopts)

bitrate=<value>
    Sets the bitrate to be used in kbits/second (default: off). This is required if you want a CBR (constant bitrate) encode.

keyint=<value>
    Sets maximum interval between I-frames. Larger values save bits, thus improve quality, at the cost of seeking precision (default: 250).

idrint=<value>
    Make each <value> I-frame an IDR-frame (default: 2). In H.264, I-frames do not necessarily bound a closed GOP because it is allowable for a P-frame to be predicted from more frames than just the one frame before it (also see frameref). Therefore, I-frames are not necessarily seekable. IDR-frames restrict subsequent P-frames from referring to any frame prior to the IDR-frame.

scenecut=<-1-100>
    Controls how aggressively to insert extra I-frames (default: 40). With small values of scenecut, the codec often has to force an I-frame when it would exceed keyint. Good values of scenecut may find a better location for the I-frame. Large values use more I-frames than necessary, thus wasting bits. -1 disables scene-cut detection, so I-frames are inserted only once every other keyint frames, even if a scene-cut occurs earlier. This isn't recommended and wastes bitrate as scenecuts encoded as P-frames are just as big as I-frames, but don't reset the "keyint counter".

frameref=<1-15>
    Number of previous frames used as predictors in a P-frame (default: 1). This is effective in Anime, but seems to make little difference in live-action source material. Some decoders are unable to deal with large frameref values.

bframes=<0-16>
    number of consecutive B-frames between I- and P-frames (default: 0)

deblock | nodeblock
    Use deblocking filter (default: on). As it takes very little time compared to its quality gain, it's not recommend to disable it.

deblockalpha=<-6-6>
    AlphaC0 parameter of deblocking filter (default: 0). This adjusts thresholds for the H.264 deblocking filter. First, this parameter adjusts the maximum amount of change that the filter is allowed to cause on any one pixel. Secondly, this parameter affects the threshold for difference across the edge being filtered. A positive value reduces blocking artifacts more, but will also smear details.
    For encodes that are intended to be reasonably high quality, you might want to turn it down a little bit. However, if your source material already has some blocking or noise which you would like to remove, or if it is animation, it may be a good idea to turn it up a little bit.

deblockbeta=<-6-6>
    Beta parameter of deblocking filter (default: 0). Affects the maximum allowed gradient within two adjacent blocks.

cabac | nocabac
    Use CABAC (Context-Adaptive Binary Arithmetic Coding) (default: on). Slightly slows down encoding and decoding, but should save 10-15% bitrate. Unless you are looking for speed, you should not disable it.

cabacidc=<value>
    Initial value of CABAC IDC. The encoder must choose a context for each block it encodes, but for the first block in a frame, there are no prior blocks to predict the context. Adjusting this may affect bitrate by a fraction of a percent, but it doesn't directly affect distortion. -1: Encoder chooses context, usually 0 (default).
    0: low complexity
    1: medium complexity
    2: high complexity

qp_constant=<1-51>
    This selects the quantizer to use. 20-40 is a useful range (default: 26). Lower values result in better fidelity, but higher bitrates. Note that quantization in H.264 works differently from MPEG[124]. H.264's quantization parameter (QP) is on a logarithmic scale. As an example, the bitrate difference between QP=20 and QP=40 is about a factor of 10. Useful quantizers in H.264 tend to be very large compared to MPEG[124].

qp_min=<1-51> (CBR or 2 pass)
    Minimum quantizer, 15-35 seems to be a useful range (default: 10).

qp_max=<1-51> (CBR or 2 pass)
    maximum quantizer (default: 51)

qp_step=<value>
    Maximum Value by which the quantizer may be incremented/decremented between frames.

rc_buffer_size=<value>
    ratecontrol buffer size (default: 1 second's worth at the bitrate you specified)

rc_init_buffer=<value>
    Set the initial ratecontrol buffer (default: 1/4 of rc_buffer_size)

rc_sens=<0-100> (CBR only)
    ratecontrol sensitivity (default: 4)

ip_factor=<value>
    quantizer factor between I- and P-frames (default: 2.0)

pb_factor=<value>
    quantizer factor between P- and B-frames (default: 2.0)

pass=<1-3>
    Enable 2 or 3-pass mode. It is recommended to always encode in 2 or 3-pass mode as it leads to a better bit distribution and improves overall quality. first pass second pass Nth pass (second and third passes of three pass encoding)
    Here is how it works, and how to use it:
    The first pass (pass=1) collects statistics on the video and writes them to a file. You might want to deactivate some CPU-hungry options, apart from the ones that are on by default.
    In two pass mode, the second pass (pass=2) reads the stats file and bases ratecontrol decisions on it.
    In three pass mode, the second pass (pass=3, that is not a typo) does both: It first reads the stats, then overwrites them. You might want to backup divx2pass.log before doing this if there is any possibility that you will have to cancel MEncoder. You can use all encoding options, except very CPU-hungry options.
    The third pass (pass=3) is the same as the second pass, except that it has the second pass' stats to work from. You can use all encoding options, including CPU-hungry ones.
    NOTE: x264 three pass support being quite recent in MEncoder, we welcome any feedback you could give us on good combinations of x264 options that are both fast and provide good quality.
    qcomp=<0-1>
        quantizer compression (default: 0.6). This affects the ratecontrol: a lower value makes the bitrate more constant, while a higher value makes the quantization parameter more constant.
    qblur=<0-99>
        Temporal blur of the quantization parameter (default: 0.5). Lower values allow the quantizer value to jump around more, higher values force it to vary more smoothly.
    fullinter | nofullinter
        Use all available interframe macroblock types (i16x16, i4x4, p16x16, p16x8, p8x16, p8x8, p8x4, p4x8, p4x4, pskip) The idea is to find the type and size that best describe a certain area of the picture, i.e. very effective for Anime, which usually contains large areas of the same color (default: i16x16, i4x4, p16x16-8x8). Depending on the source material, it can improve or degrade quality, use it with care.
    subq=<0-5>
        Adjust subpel refinement quality. This parameter controls quality versus speed tradeoffs involved in the motion estimation decision process. It can improve quality significantly. 0: halfpel only
        1: 1 iteration of qpel on the winning candidate (default)
        2: 2 iterations of qpel on the winning candidate
        3: halfpel on all MB types, qpel on the winner
        4: qpel on all
        5: more iterations of qpel
    log=<-1-3>
        Adjust the amount of logging info printed to the screen. -1: none
         0: Print errors only.
         1: warnings
         2: PSNR, encoding times, and other analysis stats when the encode finishes (default)
         3: PSNR, QP, frametype, size, and other stats for every frame
    psnr | nopsnr
        Print signal-to-noise ratio statistics.
        NOTE: The 'Y', 'U', 'V', and 'Avg' PSNR fields in the summary are not mathematically sound (they are simply the average of per-frame PSNRs). They are kept only for comparison to the JM reference codec. For all other purposes, please use either the 'Global' PSNR, or the per-frame PSNRs printed by log=3.

FILES
/usr/local/etc/mplayer/mplayer.conf
    system-wide settings
~/.mplayer/config
    user settings
~/.mplayer/input.conf
    input bindings (see '-input keylist' for the full list)
~/.mplayer/gui.conf
    GUI configuration file
~/.mplayer/gui.pl
    GUI playlist
~/.mplayer/font/
    font directory (There must be a font.desc file and files with .RAW extension.)
~/.mplayer/DVDkeys/
    cached CSS keys
Assuming that /path/to/movie.avi is played, MPlayer searches for sub files
    in this order:
    /path/to/movie.sub
    ~/.mplayer/sub/movie.sub
    ~/.mplayer/default.sub

EXAMPLES

Quickstart DVD playing:
    mplayer dvd://1

Play in Japanese with English subtitles:
    mplayer dvd://1 -alang ja -slang en

Play only chapters 5, 6, 7:
    mplayer dvd://1 -chapter 5-7

Play only titles 5, 6, 7:
    mplayer dvd://5-7

Play a multiangle DVD:
    mplayer dvd://1 -dvdangle 2

Play from a different DVD device:
    mplayer dvd://1 -dvd-device /dev/dvd2

Play DVD video from a directory with VOB files:
    mplayer dvd://1 -dvd-device /path/to/directory/

Copy a DVD title to hard disk, saving to file title1.vob :
    mplayer dvd://1 -dumpstream -dumpfile title1.vob

Stream from HTTP:
    mplayer http://mplayer.hq/example.avi

Stream using RTSP:
    mplayer rtsp://server.example.com/streamName

Convert subtitles to MPsub format:
    mplayer dummy.avi -sub source.sub -dumpmpsub

Convert subtitles to MPsub format without watching the movie:
    mplayer /dev/zero -rawvideo on:pal:fps=xx -vc null -vo null -noframedrop -benchmark -sub source.sub -dumpmpsub

input from standard V4L:
    mplayer tv:// -tv driver=v4l:width=640:height=480:outfmt=i420 -vc rawi420 -vo xv

Playback on Zoran cards (old style, deprecated):
    mplayer -vo zr -vf scale=352:288 file.avi

Playback on Zoran cards (new style):
    mplayer -vo zr2 -vf scale=352:288,zrmjpeg file.avi

Encode DVD title #2, only selected chapters:
    mencoder dvd://2 -chapter 10-15 -o title2.avi -oac copy -ovc lavc -lavcopts vcodec=mpeg4

Encode DVD title #2, resizing to 640x480:
    mencoder dvd://2 -vf scale=640:480 -o title2.avi -oac copy -ovc lavc -lavcopts vcodec=mpeg4

Encode DVD title #2, resizing to 512xHHH (keep aspect ratio):
    mencoder dvd://2 -vf scale -zoom -xy 512 -o title2.avi -oac copy -ovc lavc -lavcopts vcodec=mpeg4

The same, but with bitrate set to 1800kBit and optimized macroblocks:
    mencoder dvd://2 -o title2.avi -oac copy -ovc lavc -lavcopts vcodec=mpeg4:mbd=1:vbitrate=1800

The same, but with MJPEG compression:
    mencoder dvd://2 -o titel2.avi -ovc lavc -lavcopts vcodec=mjpeg:mbd=1:vbitrate=1800 -oac copy

Encode all *.jpg files in the current dir:
    mencoder "mf://*.jpg" -mf fps=25 -o output.avi -ovc lavc -lavcopts vcodec=mpeg4

Encode from a tuner (specify a format with -vf format):
    mencoder -tv driver=v4l:width=640:height=480 tv:// -o tv.avi -ovc raw

Encode from a pipe:
    rar p test-SVCD.rar | mencoder -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=800 -ofps 24 -

BUGS
If you find one, report it to us, but please make sure you have read all of the documentation first. Many bugs are the result of incorrect setup or parameter usage. The bug reporting section of the documentation (DOCS/HTML/en/bugreports.html) explains how to create useful bug reports.

AUTHORS
MPlayer was initially written by Arpad Gereöffy. See the AUTHORS file for a list of some of the many other contributors.

MPlayer is (C) 2000-2004 The MPlayer Team

This man page was written mainly by Gabucino, Jonas Jermann and Diego Biurrun. It is maintained by Diego Biurrun. Please send mails about it to the MPlayer-DOCS mailing list.